<?php

/**
 *  Copyright © 2016 Siberian Federal University
 * 
 *  This file is part of YConfs.
 *  
 *  YConfs is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License,
 *  for details see http://yconfs.sfu-kras.ru/license. 
 */
class AppFormSettings extends ActiveRecord {

    public $is_lastname_enabled = true;
    public $is_firstname_enabled = true;
    public $is_middlename_enabled = true;
    public $is_org_enabled = true;
    public $is_org_address_enabled = true;
    public $is_position_enabled = true;
    public $is_academic_degree_enabled = true;
    public $is_academic_title_enabled = true;
    public $is_supervisor_enabled = false;
    public $is_country_enabled = true;
    public $is_city_enabled = true;
    public $is_address_enabled = false;
    public $is_phone_enabled = true;
    public $is_fax_enabled = false;
    public $is_email_enabled = true;
    public $is_membership_enabled = false;
    public $is_annotation_enabled = true;
    public $is_report_title_enabled = true;
    public $is_report_topic_enabled = true;
    public $is_classification_enabled = false;
    public $is_report_text_enabled = false;
    public $is_report_file_enabled = true;
    public $is_more_info_enabled = false;
    public $is_accommodation_enabled = false;
    public $is_image_enabled = false;

    const MANDATORY_NOT = 0;
    const MANDATORY_ALL = 1;
    const MANDATORY_ONE = 2;

    public $lastname_mandatory = AppFormSettings::MANDATORY_NOT;
    public $firstname_mandatory = AppFormSettings::MANDATORY_NOT;
    public $middlename_mandatory = AppFormSettings::MANDATORY_NOT;
    public $org_mandatory = AppFormSettings::MANDATORY_NOT;
    public $org_address_mandatory = AppFormSettings::MANDATORY_NOT;
    public $position_mandatory = AppFormSettings::MANDATORY_NOT;
    public $academic_degree_mandatory = AppFormSettings::MANDATORY_NOT;
    public $academic_title_mandatory = AppFormSettings::MANDATORY_NOT;
    public $supervisor_mandatory = AppFormSettings::MANDATORY_NOT;
    public $country_mandatory = AppFormSettings::MANDATORY_NOT;
    public $city_mandatory = AppFormSettings::MANDATORY_NOT;
    public $address_mandatory = AppFormSettings::MANDATORY_NOT;
    public $phone_mandatory = AppFormSettings::MANDATORY_NOT;
    public $fax_mandatory = AppFormSettings::MANDATORY_NOT;
    public $email_mandatory = AppFormSettings::MANDATORY_NOT;
    public $membership_mandatory = AppFormSettings::MANDATORY_NOT;
    public $annotation_mandatory = AppFormSettings::MANDATORY_NOT;
    public $report_title_mandatory = AppFormSettings::MANDATORY_NOT;
    public $report_topic_mandatory = AppFormSettings::MANDATORY_NOT;
    public $classification_mandatory = AppFormSettings::MANDATORY_NOT;
    public $report_text_mandatory = AppFormSettings::MANDATORY_NOT;
    public $report_file_mandatory = AppFormSettings::MANDATORY_NOT;
    public $more_info_mandatory = AppFormSettings::MANDATORY_NOT;
    public $accommodation_mandatory = AppFormSettings::MANDATORY_NOT;
    public $image_mandatory = AppFormSettings::MANDATORY_NOT;
    public $lastname_type = FieldType::STRING;
    public $firstname_type = FieldType::STRING;
    public $middlename_type = FieldType::STRING;
    public $org_type = FieldType::STRING;
    public $org_address_type = FieldType::STRING;
    public $position_type = FieldType::STRING;
    public $academic_degree_type = FieldType::STRING;
    public $academic_title_type = FieldType::STRING;
    public $supervisor_type = FieldType::STRING;
    public $country_type = FieldType::STRING;
    public $city_type = FieldType::STRING;
    public $address_type = FieldType::STRING;
    public $phone_type = FieldType::STRING;
    public $fax_type = FieldType::STRING;
    public $email_type = FieldType::STRING;
    public $membership_type = FieldType::STRING;
    public $annotation_type = FieldType::TEXT;
    public $report_title_type = FieldType::TEXT;
    public $report_topic_type = FieldType::SELECT;
    public $classification_type = FieldType::STRING;
    public $report_text_type = FieldType::TEXT;
    public $report_file_type = FieldType::FILE;
    public $more_info_type = FieldType::TEXT;
    public $accommodation_type = FieldType::CHECKBOX;
    public $image_type = FieldType::FILE;
    //многоязычные поля
    public $lastname_hint;
    public $firstname_hint;
    public $middlename_hint;
    public $org_hint;
    public $org_address_hint;
    public $position_hint;
    public $academic_degree_hint;
    public $academic_title_hint;
    public $supervisor_hint;
    public $country_hint;
    public $city_hint;
    public $address_hint;
    public $phone_hint;
    public $fax_hint;
    public $email_hint;
    public $membership_hint;
    public $annotation_hint;
    public $report_title_hint;
    public $report_topic_hint;
    public $classification_hint;
    public $report_text_hint;
    public $report_file_hint;
    public $more_info_hint;
    public $accommodation_hint;
    public $image_hint;
    public $is_lastname_published = true;
    public $is_firstname_published = true;
    public $is_middlename_published = true;
    public $is_org_published = true;
    public $is_org_address_published = true;
    public $is_position_published = true;
    public $is_academic_degree_published = true;
    public $is_academic_title_published = true;
    public $is_supervisor_published = true;
    public $is_country_published = true;
    public $is_city_published = true;
    public $is_address_published = true;
    public $is_phone_published = true;
    public $is_fax_published = true;
    public $is_email_published = true;
    public $is_membership_published = true;
    public $is_annotation_published = true;
    public $is_report_title_published = true;
    public $is_report_topic_published = true;
    public $is_classification_published = true;
    public $is_report_text_published = true;
    public $is_report_file_published = true;
    public $is_more_info_published = true;
    public $is_accommodation_published = false;
    public $is_image_published = false;
    //  дополнительные строковые поля для заявки на участие
    //  additional string fields for an application form
    public $ps_field1_name;
    public $ps_field1_type = FieldType::STRING;
    public $is_ps_field1_enabled = false;
    public $is_ps_field1_published = false;
    public $ps_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ps_field1_hint;
    public $ps_field2_name;
    public $ps_field2_type = FieldType::STRING;
    public $is_ps_field2_enabled = false;
    public $is_ps_field2_published = false;
    public $ps_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ps_field2_hint;
    public $ps_field3_name;
    public $ps_field3_type = FieldType::STRING;
    public $is_ps_field3_enabled = false;
    public $is_ps_field3_published = false;
    public $ps_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ps_field3_hint;
    public $ps_field4_name;
    public $ps_field4_type = FieldType::STRING;
    public $is_ps_field4_enabled = false;
    public $is_ps_field4_published = false;
    public $ps_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ps_field4_hint;
    public $ps_field5_name;
    public $ps_field5_type = FieldType::STRING;
    public $is_ps_field5_enabled = false;
    public $is_ps_field5_published = false;
    public $ps_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ps_field5_hint;
    //  дополнительные строковые поля для автора
    //  additional string fields for author
    public $as_field1_name;
    public $as_field1_type = FieldType::STRING;
    public $is_as_field1_enabled = false;
    public $is_as_field1_published = false;
    public $as_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $as_field1_hint;
    public $as_field2_name;
    public $as_field2_type = FieldType::STRING;
    public $is_as_field2_enabled = false;
    public $is_as_field2_published = false;
    public $as_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $as_field2_hint;
    public $as_field3_name;
    public $as_field3_type = FieldType::STRING;
    public $is_as_field3_enabled = false;
    public $is_as_field3_published = false;
    public $as_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $as_field3_hint;
    public $as_field4_name;
    public $as_field4_type = FieldType::STRING;
    public $is_as_field4_enabled = false;
    public $is_as_field4_published = false;
    public $as_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $as_field4_hint;
    public $as_field5_name;
    public $as_field5_type = FieldType::STRING;
    public $is_as_field5_enabled = false;
    public $is_as_field5_published = false;
    public $as_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $as_field5_hint;
    //  дополнительные текстовые поля для заявки на участие
    //  additional text fields for the application form
    public $pt_field1_name;
    public $pt_field1_type = FieldType::TEXT;
    public $is_pt_field1_enabled = false;
    public $is_pt_field1_published = false;
    public $pt_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pt_field1_hint;
    public $pt_field2_name;
    public $pt_field2_type = FieldType::TEXT;
    public $is_pt_field2_enabled = false;
    public $is_pt_field2_published = false;
    public $pt_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pt_field2_hint;
    public $pt_field3_name;
    public $pt_field3_type = FieldType::TEXT;
    public $is_pt_field3_enabled = false;
    public $is_pt_field3_published = false;
    public $pt_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pt_field3_hint;
    public $pt_field4_name;
    public $pt_field4_type = FieldType::TEXT;
    public $is_pt_field4_enabled = false;
    public $is_pt_field4_published = false;
    public $pt_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pt_field4_hint;
    public $pt_field5_name;
    public $pt_field5_type = FieldType::TEXT;
    public $is_pt_field5_enabled = false;
    public $is_pt_field5_published = false;
    public $pt_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pt_field5_hint;
    //  дополнительные текстовые поля для автора
    //  additional text fields for author
    public $at_field1_name;
    public $at_field1_type = FieldType::TEXT;
    public $is_at_field1_enabled = false;
    public $is_at_field1_published = false;
    public $at_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $at_field1_hint;
    public $at_field2_name;
    public $at_field2_type = FieldType::TEXT;
    public $is_at_field2_enabled = false;
    public $is_at_field2_published = false;
    public $at_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $at_field2_hint;
    public $at_field3_name;
    public $at_field3_type = FieldType::TEXT;
    public $is_at_field3_enabled = false;
    public $is_at_field3_published = false;
    public $at_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $at_field3_hint;
    public $at_field4_name;
    public $at_field4_type = FieldType::TEXT;
    public $is_at_field4_enabled = false;
    public $is_at_field4_published = false;
    public $at_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $at_field4_hint;
    public $at_field5_name;
    public $at_field5_type = FieldType::TEXT;
    public $is_at_field5_enabled = false;
    public $is_at_field5_published = false;
    public $at_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $at_field5_hint;
    //  дополнительные поля-флажки для заявки на участие
    //  additional checkbox fields for the application form 
    public $pc_field1_name;
    public $pc_field1_type = FieldType::CHECKBOX;
    public $is_pc_field1_enabled = false;
    public $is_pc_field1_published = false;
    public $pc_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pc_field1_hint;
    public $pc_field2_name;
    public $pc_field2_type = FieldType::CHECKBOX;
    public $is_pc_field2_enabled = false;
    public $is_pc_field2_published = false;
    public $pc_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pc_field2_hint;
    public $pc_field3_name;
    public $pc_field3_type = FieldType::CHECKBOX;
    public $is_pc_field3_enabled = false;
    public $is_pc_field3_published = false;
    public $pc_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pc_field3_hint;
    public $pc_field4_name;
    public $pc_field4_type = FieldType::CHECKBOX;
    public $is_pc_field4_enabled = false;
    public $is_pc_field4_published = false;
    public $pc_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pc_field4_hint;
    public $pc_field5_name;
    public $pc_field5_type = FieldType::CHECKBOX;
    public $is_pc_field5_enabled = false;
    public $is_pc_field5_published = false;
    public $pc_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pc_field5_hint;
    //  дополнительные поля-флажки для автора
    //  additional checkbox fields for author
    public $ac_field1_name;
    public $ac_field1_type = FieldType::CHECKBOX;
    public $is_ac_field1_enabled = false;
    public $is_ac_field1_published = false;
    public $ac_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ac_field1_hint;
    public $ac_field2_name;
    public $ac_field2_type = FieldType::CHECKBOX;
    public $is_ac_field2_enabled = false;
    public $is_ac_field2_published = false;
    public $ac_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ac_field2_hint;
    public $ac_field3_name;
    public $ac_field3_type = FieldType::CHECKBOX;
    public $is_ac_field3_enabled = false;
    public $is_ac_field3_published = false;
    public $ac_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ac_field3_hint;
    public $ac_field4_name;
    public $ac_field4_type = FieldType::CHECKBOX;
    public $is_ac_field4_enabled = false;
    public $is_ac_field4_published = false;
    public $ac_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ac_field4_hint;
    public $ac_field5_name;
    public $ac_field5_type = FieldType::CHECKBOX;
    public $is_ac_field5_enabled = false;
    public $is_ac_field5_published = false;
    public $ac_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $ac_field5_hint;
    //  дополнительные поля-списки для заявки на участие
    //  additional list fields for the application form
    public $pl_field1_name;
    public $pl_field1_type = FieldType::SELECT;
    public $is_pl_field1_enabled = false;
    public $is_pl_field1_published = false;
    public $pl_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pl_field1_hint;
    public $pl_field1_list_id;
    public $pl_field2_name;
    public $pl_field2_type = FieldType::SELECT;
    public $is_pl_field2_enabled = false;
    public $is_pl_field2_published = false;
    public $pl_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pl_field2_hint;
    public $pl_field2_list_id;
    public $pl_field3_name;
    public $pl_field3_type = FieldType::SELECT;
    public $is_pl_field3_enabled = false;
    public $is_pl_field3_published = false;
    public $pl_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pl_field3_hint;
    public $pl_field3_list_id;
    public $pl_field4_name;
    public $pl_field4_type = FieldType::SELECT;
    public $is_pl_field4_enabled = false;
    public $is_pl_field4_published = false;
    public $pl_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pl_field4_hint;
    public $pl_field4_list_id;
    public $pl_field5_name;
    public $pl_field5_type = FieldType::SELECT;
    public $is_pl_field5_enabled = false;
    public $is_pl_field5_published = false;
    public $pl_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $pl_field5_hint;
    public $pl_field5_list_id;
    //  дополнительные поля-списки для автора
    //  additional list fields for author
    public $al_field1_name;
    public $al_field1_type = FieldType::SELECT;
    public $is_al_field1_enabled = false;
    public $is_al_field1_published = false;
    public $al_field1_mandatory = AppFormSettings::MANDATORY_NOT;
    public $al_field1_hint;
    public $al_field1_list_id;
    public $al_field2_name;
    public $al_field2_type = FieldType::SELECT;
    public $is_al_field2_enabled = false;
    public $is_al_field2_published = false;
    public $al_field2_mandatory = AppFormSettings::MANDATORY_NOT;
    public $al_field2_hint;
    public $al_field2_list_id;
    public $al_field3_name;
    public $al_field3_type = FieldType::SELECT;
    public $is_al_field3_enabled = false;
    public $is_al_field3_published = false;
    public $al_field3_mandatory = AppFormSettings::MANDATORY_NOT;
    public $al_field3_hint;
    public $al_field3_list_id;
    public $al_field4_name;
    public $al_field4_type = FieldType::SELECT;
    public $is_al_field4_enabled = false;
    public $is_al_field4_published = false;
    public $al_field4_mandatory = AppFormSettings::MANDATORY_NOT;
    public $al_field4_hint;
    public $al_field4_list_id;
    public $al_field5_name;
    public $al_field5_type = FieldType::SELECT;
    public $is_al_field5_enabled = false;
    public $is_al_field5_published = false;
    public $al_field5_mandatory = AppFormSettings::MANDATORY_NOT;
    public $al_field5_hint;
    public $al_field5_list_id;

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return '{{app_form_settings}}';
    }

    public function attributeLabels() {
        return array(
            'lastname' => Yii::t('participants', 'Last Name'),
            'firstname' => Yii::t('participants', 'First Name'),
            'middlename' => Yii::t('participants', 'Middle Name'),
            'org' => Yii::t('participants', 'Organization'),
            'org_address' => Yii::t('participants', 'Organization Address'),
            'position' => Yii::t('participants', 'Position'),
            'academic_degree' => Yii::t('participants', 'Academic Degree'),
            'academic_title' => Yii::t('participants', 'Academic Title'),
            'supervisor' => Yii::t('participants', 'Supervisor'),
            'country' => Yii::t('participants', 'Country'),
            'city' => Yii::t('participants', 'City'),
            'address' => Yii::t('participants', 'Address'),
            'phone' => Yii::t('participants', 'Phone'),
            'fax' => Yii::t('participants', 'Fax'),
            'email' => Yii::t('participants', 'E-mail'),
            'membership' => Yii::t('participants', 'Membership in Organizations'),
            'annotation' => Yii::t('participants', 'Annotation'),
            'report_title' => Yii::t('participants', 'Report Title'),
            'report_topic' => Yii::t('participants', 'Topic'),
            'classification' => Yii::t('participants', 'Classification Code'),
            'report_text' => Yii::t('participants', 'Report Text'),
            'report_file' => Yii::t('participants', 'Report Files'),
            'more_info' => Yii::t('participants', 'More Information'),
            'accommodation' => Yii::t('participants', 'Accommodation Request'),
            'image' => Yii::t('participants', 'Image')
        );
    }

    public function rules() {
        return array(
            array('id', 'unsafe'),
            array('is_lastname_enabled', 'boolean', 'on' => 'save'),
            array('is_firstname_enabled', 'boolean', 'on' => 'save'),
            array('is_middlename_enabled', 'boolean', 'on' => 'save'),
            array('is_org_enabled', 'boolean', 'on' => 'save'),
            array('is_org_address_enabled', 'boolean', 'on' => 'save'),
            array('is_position_enabled', 'boolean', 'on' => 'save'),
            array('is_academic_degree_enabled', 'boolean', 'on' => 'save'),
            array('is_academic_title_enabled', 'boolean', 'on' => 'save'),
            array('is_supervisor_enabled', 'boolean', 'on' => 'save'),
            array('is_country_enabled', 'boolean', 'on' => 'save'),
            array('is_city_enabled', 'boolean', 'on' => 'save'),
            array('is_address_enabled', 'boolean', 'on' => 'save'),
            array('is_phone_enabled', 'boolean', 'on' => 'save'),
            array('is_fax_enabled', 'boolean', 'on' => 'save'),
            array('is_email_enabled', 'boolean', 'on' => 'save'),
            array('is_membership_enabled', 'boolean', 'on' => 'save'),
            array('is_annotation_enabled', 'boolean', 'on' => 'save'),
            array('is_report_title_enabled', 'boolean', 'on' => 'save'),
            array('is_report_topic_enabled', 'boolean', 'on' => 'save'),
            array('is_classification_enabled', 'boolean', 'on' => 'save'),
            array('is_report_text_enabled', 'boolean', 'on' => 'save'),
            array('is_report_file_enabled', 'boolean', 'on' => 'save'),
            array('is_more_info_enabled', 'boolean', 'on' => 'save'),
            array('is_accommodation_enabled', 'boolean', 'on' => 'save'),
            array('is_image_enabled', 'boolean', 'on' => 'save'),
            array('lastname_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('firstname_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('middlename_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('org_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('org_address_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('position_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('academic_degree_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('academic_title_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('supervisor_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('country_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('city_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('address_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('phone_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('fax_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('email_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('membership_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('annotation_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('report_title_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('report_topic_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('classification_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('report_text_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('report_file_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('more_info_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('accommodation_mandatory', 'safe', 'on' => 'save'),
            array('image_mandatory', 'safe', 'on' => 'save'),
            array('lastname_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('firstname_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('middlename_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('org_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('org_address_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('position_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('academic_degree_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('academic_title_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('supervisor_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('country_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('city_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('address_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('phone_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('fax_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('email_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('membership_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('annotation_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('report_title_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('report_topic_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('classification_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('report_text_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('report_file_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('more_info_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('accommodation_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('image_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_lastname_published', 'boolean', 'on' => 'save'),
            array('is_firstname_published', 'boolean', 'on' => 'save'),
            array('is_middlename_published', 'boolean', 'on' => 'save'),
            array('is_org_published', 'boolean', 'on' => 'save'),
            array('is_org_address_published', 'boolean', 'on' => 'save'),
            array('is_position_published', 'boolean', 'on' => 'save'),
            array('is_academic_degree_published', 'boolean', 'on' => 'save'),
            array('is_academic_title_published', 'boolean', 'on' => 'save'),
            array('is_supervisor_published', 'boolean', 'on' => 'save'),
            array('is_country_published', 'boolean', 'on' => 'save'),
            array('is_city_published', 'boolean', 'on' => 'save'),
            array('is_address_published', 'boolean', 'on' => 'save'),
            array('is_phone_published', 'boolean', 'on' => 'save'),
            array('is_fax_published', 'boolean', 'on' => 'save'),
            array('is_email_published', 'boolean', 'on' => 'save'),
            array('is_membership_published', 'boolean', 'on' => 'save'),
            array('is_annotation_published', 'boolean', 'on' => 'save'),
            array('is_report_title_published', 'boolean', 'on' => 'save'),
            array('is_report_topic_published', 'boolean', 'on' => 'save'),
            array('is_classification_published', 'boolean', 'on' => 'save'),
            array('is_report_text_published', 'boolean', 'on' => 'save'),
            array('is_report_file_published', 'boolean', 'on' => 'save'),
            array('is_more_info_published', 'boolean', 'on' => 'save'),
            array('is_accommodation_published', 'boolean', 'on' => 'save'),
            array('is_image_published', 'boolean', 'on' => 'save'),
            //  дополнительные строковые поля в заявке на участие
            //  additional string fields for the application form
            array('ps_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ps_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_ps_field1_published', 'boolean', 'on' => 'save'),
            array('ps_field1_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('ps_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ps_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ps_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_ps_field2_published', 'boolean', 'on' => 'save'),
            array('ps_field2_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('ps_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ps_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ps_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_ps_field3_published', 'boolean', 'on' => 'save'),
            array('ps_field3_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('ps_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ps_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ps_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_ps_field4_published', 'boolean', 'on' => 'save'),
            array('ps_field4_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('ps_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ps_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ps_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_ps_field5_published', 'boolean', 'on' => 'save'),
            array('ps_field5_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('ps_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные строковые поля автора
            //  additional string fields for author
            array('as_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_as_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_as_field1_published', 'boolean', 'on' => 'save'),
            array('as_field1_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('as_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('as_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_as_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_as_field2_published', 'boolean', 'on' => 'save'),
            array('as_field2_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('as_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('as_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_as_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_as_field3_published', 'boolean', 'on' => 'save'),
            array('as_field3_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('as_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('as_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_as_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_as_field4_published', 'boolean', 'on' => 'save'),
            array('as_field4_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('as_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('as_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_as_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_as_field5_published', 'boolean', 'on' => 'save'),
            array('as_field5_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('as_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные текстовые поля в заявке на участие
            //  additional text fields for the application form
            array('pt_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pt_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_pt_field1_published', 'boolean', 'on' => 'save'),
            array('pt_field1_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('pt_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pt_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pt_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_pt_field2_published', 'boolean', 'on' => 'save'),
            array('pt_field2_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('pt_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pt_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pt_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_pt_field3_published', 'boolean', 'on' => 'save'),
            array('pt_field3_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('pt_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pt_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pt_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_pt_field4_published', 'boolean', 'on' => 'save'),
            array('pt_field4_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('pt_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pt_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pt_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_pt_field5_published', 'boolean', 'on' => 'save'),
            array('pt_field5_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('pt_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные текстовые поля автора
            //  additional text fields for author
            array('at_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_at_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_at_field1_published', 'boolean', 'on' => 'save'),
            array('at_field1_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('at_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('at_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_at_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_at_field2_published', 'boolean', 'on' => 'save'),
            array('at_field2_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('at_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('at_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_at_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_at_field3_published', 'boolean', 'on' => 'save'),
            array('at_field3_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('at_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('at_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_at_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_at_field4_published', 'boolean', 'on' => 'save'),
            array('at_field4_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('at_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('at_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_at_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_at_field5_published', 'boolean', 'on' => 'save'),
            array('at_field5_mandatory', 'in', 'range' => array('0', '1', '2'), 'allowEmpty' => false, 'on' => 'save'),
            array('at_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные поля-флажки в заявке на участие
            //  additional checkbox fields for the application form    
            array('pc_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pc_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_pc_field1_published', 'boolean', 'on' => 'save'),
            array('pc_field1_mandatory', 'boolean', 'on' => 'save'),
            array('pc_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pc_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pc_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_pc_field2_published', 'boolean', 'on' => 'save'),
            array('pc_field2_mandatory', 'boolean', 'on' => 'save'),
            array('pc_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pc_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pc_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_pc_field3_published', 'boolean', 'on' => 'save'),
            array('pc_field3_mandatory', 'boolean', 'on' => 'save'),
            array('pc_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pc_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pc_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_pc_field4_published', 'boolean', 'on' => 'save'),
            array('pc_field4_mandatory', 'boolean', 'on' => 'save'),
            array('pc_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pc_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pc_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_pc_field5_published', 'boolean', 'on' => 'save'),
            array('pc_field5_mandatory', 'boolean', 'on' => 'save'),
            array('pc_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные поля-флажки автора
            //  additional checkbox fields for author
            array('ac_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ac_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_ac_field1_published', 'boolean', 'on' => 'save'),
            array('ac_field1_mandatory', 'boolean', 'on' => 'save'),
            array('ac_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ac_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ac_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_ac_field2_published', 'boolean', 'on' => 'save'),
            array('ac_field2_mandatory', 'boolean', 'on' => 'save'),
            array('ac_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ac_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ac_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_ac_field3_published', 'boolean', 'on' => 'save'),
            array('ac_field3_mandatory', 'boolean', 'on' => 'save'),
            array('ac_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ac_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ac_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_ac_field4_published', 'boolean', 'on' => 'save'),
            array('ac_field4_mandatory', 'boolean', 'on' => 'save'),
            array('ac_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('ac_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_ac_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_ac_field5_published', 'boolean', 'on' => 'save'),
            array('ac_field5_mandatory', 'boolean', 'on' => 'save'),
            array('ac_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные поля-списки в заявке на участие
            //  additional list fields for the application form
            array('pl_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pl_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_pl_field1_published', 'boolean', 'on' => 'save'),
            array('pl_field1_mandatory', 'boolean', 'on' => 'save'),
            array('pl_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pl_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pl_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_pl_field2_published', 'boolean', 'on' => 'save'),
            array('pl_field2_mandatory', 'boolean', 'on' => 'save'),
            array('pl_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pl_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pl_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_pl_field3_published', 'boolean', 'on' => 'save'),
            array('pl_field3_mandatory', 'boolean', 'on' => 'save'),
            array('pl_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pl_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pl_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_pl_field4_published', 'boolean', 'on' => 'save'),
            array('pl_field4_mandatory', 'boolean', 'on' => 'save'),
            array('pl_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('pl_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_pl_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_pl_field5_published', 'boolean', 'on' => 'save'),
            array('pl_field5_mandatory', 'boolean', 'on' => 'save'),
            array('pl_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            //  дополнительные поля-списки автора
            //  additional list fields for the author
            array('al_field1_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_al_field1_enabled', 'boolean', 'on' => 'save'),
            array('is_al_field1_published', 'boolean', 'on' => 'save'),
            array('al_field1_mandatory', 'boolean', 'on' => 'save'),
            array('al_field1_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('al_field2_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_al_field2_enabled', 'boolean', 'on' => 'save'),
            array('is_al_field2_published', 'boolean', 'on' => 'save'),
            array('al_field2_mandatory', 'boolean', 'on' => 'save'),
            array('al_field2_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('al_field3_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_al_field3_enabled', 'boolean', 'on' => 'save'),
            array('is_al_field3_published', 'boolean', 'on' => 'save'),
            array('al_field3_mandatory', 'boolean', 'on' => 'save'),
            array('al_field3_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('al_field4_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_al_field4_enabled', 'boolean', 'on' => 'save'),
            array('is_al_field4_published', 'boolean', 'on' => 'save'),
            array('al_field4_mandatory', 'boolean', 'on' => 'save'),
            array('al_field4_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('al_field5_name', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
            array('is_al_field5_enabled', 'boolean', 'on' => 'save'),
            array('is_al_field5_published', 'boolean', 'on' => 'save'),
            array('al_field5_mandatory', 'boolean', 'on' => 'save'),
            array('al_field5_hint', 'LengthEachValidator', 'on' => 'save', 'max' => 200),
        );
    }

    public function behaviors() {
        return array(
            'MultilingualBehavior' => array(
                'class' => 'application.behaviors.MultilingualBehavior',
                'table' => 'multilingual_app_form_settings',
                'table_fk' => 'app_form_settings_id',
                'language_column' => 'language',
                'columns' => array('lastname_hint', 'firstname_hint', 'middlename_hint',
                    'org_hint', 'org_address_hint', 'position_hint', 'academic_degree_hint',
                    'academic_title_hint', 'supervisor_hint', 'country_hint',
                    'city_hint', 'address_hint', 'phone_hint', 'fax_hint',
                    'email_hint', 'membership_hint', 'annotation_hint',
                    'report_title_hint', 'report_topic_hint', 'classification_hint',
                    'report_text_hint', 'report_file_hint', 
                    'more_info_hint', 'accommodation_hint', 'image_hint',
                    'ps_field1_name', 'ps_field1_hint',
                    'ps_field2_name', 'ps_field2_hint',
                    'ps_field3_name', 'ps_field3_hint',
                    'ps_field4_name', 'ps_field4_hint',
                    'ps_field5_name', 'ps_field5_hint',
                    'as_field1_name', 'as_field1_hint',
                    'as_field2_name', 'as_field2_hint',
                    'as_field3_name', 'as_field3_hint',
                    'as_field4_name', 'as_field4_hint',
                    'as_field5_name', 'as_field5_hint',
                    'pt_field1_name', 'pt_field1_hint',
                    'pt_field2_name', 'pt_field2_hint',
                    'pt_field3_name', 'pt_field3_hint',
                    'pt_field4_name', 'pt_field4_hint',
                    'pt_field5_name', 'pt_field5_hint',
                    'at_field1_name', 'at_field1_hint',
                    'at_field2_name', 'at_field2_hint',
                    'at_field3_name', 'at_field3_hint',
                    'at_field4_name', 'at_field4_hint',
                    'at_field5_name', 'at_field5_hint',
                    'pc_field1_name', 'pc_field1_hint',
                    'pc_field2_name', 'pc_field2_hint',
                    'pc_field3_name', 'pc_field3_hint',
                    'pc_field4_name', 'pc_field4_hint',
                    'pc_field5_name', 'pc_field5_hint',
                    'ac_field1_name', 'ac_field1_hint',
                    'ac_field2_name', 'ac_field2_hint',
                    'ac_field3_name', 'ac_field3_hint',
                    'ac_field4_name', 'ac_field4_hint',
                    'ac_field5_name', 'ac_field5_hint',
                    'pl_field1_name', 'pl_field1_hint',
                    'pl_field2_name', 'pl_field2_hint',
                    'pl_field3_name', 'pl_field3_hint',
                    'pl_field4_name', 'pl_field4_hint',
                    'pl_field5_name', 'pl_field5_hint',
                    'al_field1_name', 'al_field1_hint',
                    'al_field2_name', 'al_field2_hint',
                    'al_field3_name', 'al_field3_hint',
                    'al_field4_name', 'al_field4_hint',
                    'al_field5_name', 'al_field5_hint'
                ),
                'languages' => Yii::app()->params['languages'],
            ),
            'StrictXssFilterBehavior' => array(
                'class' => 'application.behaviors.XssFilterBehavior',
                'attributes' => array('lastname_hint', 'firstname_hint', 'middlename_hint',
                    'org_hint', 'org_address_hint', 'position_hint', 'academic_degree_hint',
                    'academic_title_hint', 'supervisor_hint', 'country_hint',
                    'city_hint', 'address_hint', 'phone_hint', 'fax_hint',
                    'email_hint', 'membership_hint', 'annotation_hint',
                    'report_title_hint', 'report_topic_hint', 'classification_hint',
                    'report_text_hint', 'report_file_hint', 
                    'more_info_hint', 'accommodation_hint', 'image_hint',
                    'ps_field1_hint',
                    'ps_field2_hint',
                    'ps_field3_hint',
                    'ps_field4_hint',
                    'ps_field5_hint',
                    'as_field1_hint',
                    'as_field2_hint',
                    'as_field3_hint',
                    'as_field4_hint',
                    'as_field5_hint',
                    'pt_field1_hint',
                    'pt_field2_hint',
                    'pt_field3_hint',
                    'pt_field4_hint',
                    'pt_field5_hint',
                    'at_field1_hint',
                    'at_field2_hint',
                    'at_field3_hint',
                    'at_field4_hint',
                    'at_field5_hint',
                    'pc_field1_hint',
                    'pc_field2_hint',
                    'pc_field3_hint',
                    'pc_field4_hint',
                    'pc_field5_hint',
                    'ac_field1_hint',
                    'ac_field2_hint',
                    'ac_field3_hint',
                    'ac_field4_hint',
                    'ac_field5_hint',
                    'pl_field1_hint',
                    'pl_field2_hint',
                    'pl_field3_hint',
                    'pl_field4_hint',
                    'pl_field5_hint',
                    'al_field1_hint',
                    'al_field2_hint',
                    'al_field3_hint',
                    'al_field4_hint',
                    'al_field5_hint'
                ),
                'languages' => Yii::app()->params['languages'],
                'allowed_tags' => array('a')
            ),
            'FullXssFilterBehavior' => array(
                'class' => 'application.behaviors.XssFilterBehavior',
                'attributes' => array(
                    'ps_field1_name',
                    'ps_field2_name',
                    'ps_field3_name',
                    'ps_field4_name',
                    'ps_field5_name',
                    'as_field1_name',
                    'as_field2_name',
                    'as_field3_name',
                    'as_field4_name',
                    'as_field5_name',
                    'pt_field1_name',
                    'pt_field2_name',
                    'pt_field3_name',
                    'pt_field4_name',
                    'pt_field5_name',
                    'at_field1_name',
                    'at_field2_name',
                    'at_field3_name',
                    'at_field4_name',
                    'at_field5_name',
                    'pc_field1_name',
                    'pc_field2_name',
                    'pc_field3_name',
                    'pc_field4_name',
                    'pc_field5_name',
                    'ac_field1_name',
                    'ac_field2_name',
                    'ac_field3_name',
                    'ac_field4_name',
                    'ac_field5_name',
                    'pl_field1_name',
                    'pl_field2_name',
                    'pl_field3_name',
                    'pl_field4_name',
                    'pl_field5_name',
                    'al_field1_name',
                    'al_field2_name',
                    'al_field3_name',
                    'al_field4_name',
                    'al_field5_name'
                ),
                'languages' => Yii::app()->params['languages'],
                'allowed_tags' => array()
            )
        );
    }

    public function lastname_hint($language = NULL) {
        return $this->value('lastname_hint', $language);
    }

    public function firstname_hint($language = NULL) {
        return $this->value('firstname_hint', $language);
    }

    public function middlename_hint($language = NULL) {
        return $this->value('middlename_hint', $language);
    }

    public function org_hint($language = NULL) {
        return $this->value('org_hint', $language);
    }

    public function org_address_hint($language = NULL) {
        return $this->value('org_address_hint', $language);
    }

    public function position_hint($language = NULL) {
        return $this->value('position_hint', $language);
    }

    public function academic_degree_hint($language = NULL) {
        return $this->value('academic_degree_hint', $language);
    }

    public function academic_title_hint($language = NULL) {
        return $this->value('academic_title_hint', $language);
    }

    public function supervisor_hint($language = NULL) {
        return $this->value('supervisor_hint', $language);
    }

    public function country_hint($language = NULL) {
        return $this->value('country_hint', $language);
    }

    public function city_hint($language = NULL) {
        return $this->value('city_hint', $language);
    }

    public function address_hint($language = NULL) {
        return $this->value('address_hint', $language);
    }

    public function phone_hint($language = NULL) {
        return $this->value('phone_hint', $language);
    }

    public function fax_hint($language = NULL) {
        return $this->value('fax_hint', $language);
    }

    public function email_hint($language = NULL) {
        return $this->value('email_hint', $language);
    }

    public function membership_hint($language = NULL) {
        return $this->value('membership_hint', $language);
    }

    public function annotation_hint($language = NULL) {
        return $this->value('annotation_hint', $language);
    }

    public function report_title_hint($language = NULL) {
        return $this->value('report_title_hint', $language);
    }

    public function report_topic_hint($language = NULL) {
        return $this->value('report_topic_hint', $language);
    }

    public function classification_hint($language = NULL) {
        return $this->value('classification_hint', $language);
    }

    public function report_text_hint($language = NULL) {
        return $this->value('report_text_hint', $language);
    }

    public function report_file_hint($language = NULL) {
        return $this->value('report_file_hint', $language);
    }

    public function more_info_hint($language = NULL) {
        return $this->value('more_info_hint', $language);
    }

    public function accommodation_hint($language = NULL) {
        return $this->value('accommodation_hint', $language);
    }

    public function image_hint($language = NULL) {
        return $this->value('image_hint', $language);
    }

    public function getSelectFieldList($field) {
        $data = array('0' => Yii::t('admin', 'Unselected'));
        $list_id = $this->{$field . '_list_id'}; //$this->id.'_'.$field;
        $items = ListItem::model()->findAllByListId($list_id);
        foreach ($items as $item) {
            if (!$item->isEmpty()) {
                $data[$item->id] = $item->itemValue();
            }
        };
        return $data;
    }

    public function a_field_count($fieldType) {
        $count = 0;
        $attribute = '';
        if ($fieldType == FieldType::STRING) {
            $attribute = 'as_field';
        };
        if ($fieldType == FieldType::TEXT) {
            $attribute = 'at_field';
        };
        if ($fieldType == FieldType::CHECKBOX) {
            $attribute = 'ac_field';
        };
        if ($fieldType == FieldType::SELECT) {
            $attribute = 'al_field';
        };
        $i = 1;
        $fieldName = $this->value("{$attribute}{$i}_name");
        while (!empty($fieldName)) {
            $count++;
            $i++;
            if ($i == 6) {
                break;
            };
            $fieldName = $this->value("{$attribute}{$i}_name");
        };
        return $count;
    }

    public function p_field_count($fieldType) {
        $count = 0;
        $attribute = '';
        if ($fieldType == FieldType::STRING) {
            $attribute = 'ps_field';
        };
        if ($fieldType == FieldType::TEXT) {
            $attribute = 'pt_field';
        };
        if ($fieldType == FieldType::CHECKBOX) {
            $attribute = 'pc_field';
        };
        if ($fieldType == FieldType::SELECT) {
            $attribute = 'pl_field';
        };
        $i = 1;
        $fieldName = $this->value("{$attribute}{$i}_name");
        while (!empty($fieldName)) {
            $count++;
            $i++;
            if ($i == 6) {
                break;
            };
            $fieldName = $this->value("{$attribute}{$i}_name");
        };
        return $count;
    }

    public function findByConf($conf) {
        $criteria = new CDbCriteria;
        $criteria->condition = 'id=:conf_id';
        $criteria->params = array(':conf_id' => $conf->id);
        $obj = $this->find($criteria);
        //  если не найдено, то возвращаем настройки по умолчанию
        //  if not found then return default settings
        if (!$obj) {
            $obj = new AppFormSettings();
            $obj->id = $conf->id;
        }
        return $obj;
    }

    protected function packFields() {
        //  упаковываем строковые и текстовые поля
        //  packing string and text fields
        $attributes = array('ps_field', 'as_field', 'at_field', 'pt_field');
        foreach ($attributes as $attribute) {
            $swap = true;
            while ($swap) {
                $swap = false;
                for ($i = 1; $i < 5; $i++) {
                    $field = "{$attribute}{$i}";
                    $fieldName = $this->value("{$field}_name");
                    $next_i = $i + 1;
                    $nextField = "{$attribute}{$next_i}";
                    $nextFieldName = $this->value("{$nextField}_name");
                    if (empty($fieldName) && !empty($nextFieldName)) {
                        $swap = true;
                        $this->{$field . '_name'} = $this->{$nextField . '_name'};
                        $this->{'is_' . $field . '_enabled'} = $this->{'is_' . $nextField . '_enabled'};
                        $this->{'is_' . $field . '_published'} = $this->{'is_' . $nextField . '_published'};
                        $this->{$field . '_mandatory'} = $this->{$nextField . '_mandatory'};
                        $this->{$field . '_hint'} = $this->{$nextField . '_hint'};
                        $this->{$nextField . '_name'} = array();
                        $this->{'is_' . $nextField . '_enabled'} = true;
                        $this->{'is_' . $nextField . '_published'} = false;
                        $this->{$nextField . '_mandatory'} = false;
                        $this->{$nextField . '_hint'} = array();
                    }
                }
            }
        };
        //  упаковываем поля-флажки
        //  packing checkbox fields
        $attributes = array('pc_field', 'ac_field');
        foreach ($attributes as $attribute) {
            $swap = true;
            while ($swap) {
                $swap = false;
                for ($i = 1; $i < 5; $i++) {
                    $field = "{$attribute}{$i}";
                    $fieldName = $this->value("{$field}_name");
                    $next_i = $i + 1;
                    $nextField = "{$attribute}{$next_i}";
                    $nextFieldName = $this->value("{$nextField}_name");
                    if (empty($fieldName) && !empty($nextFieldName)) {
                        $swap = true;
                        $this->{$field . '_name'} = $this->{$nextField . '_name'};
                        $this->{'is_' . $field . '_enabled'} = $this->{'is_' . $nextField . '_enabled'};
                        $this->{'is_' . $field . '_published'} = $this->{'is_' . $nextField . '_published'};
                        $this->{$field . '_mandatory'} = $this->{$nextField . '_mandatory'};
                        $this->{$field . '_hint'} = $this->{$nextField . '_hint'};
                        $this->{$nextField . '_name'} = array();
                        $this->{'is_' . $nextField . '_enabled'} = true;
                        $this->{'is_' . $nextField . '_published'} = false;
                        $this->{$nextField . '_mandatory'} = false;
                        $this->{$nextField . '_hint'} = array();
                    }
                }
            };
        };
        //  упаковываем поля-списки
        //  packing list fields
        $attributes = array('pl_field', 'al_field');
        foreach ($attributes as $attribute) {
            $swap = true;
            while ($swap) {
                $swap = false;
                for ($i = 1; $i < 5; $i++) {
                    $field = "{$attribute}{$i}";
                    $fieldName = $this->value("{$field}_name");
                    $next_i = $i + 1;
                    $nextField = "{$attribute}{$next_i}";
                    $nextFieldName = $this->value("{$nextField}_name");
                    if (empty($fieldName) && !empty($nextFieldName)) {
                        $swap = true;
                        $this->{$field . '_name'} = $this->{$nextField . '_name'};
                        $this->{'is_' . $field . '_enabled'} = $this->{'is_' . $nextField . '_enabled'};
                        $this->{'is_' . $field . '_published'} = $this->{'is_' . $nextField . '_published'};
                        $this->{$field . '_mandatory'} = $this->{$nextField . '_mandatory'};
                        $this->{$field . '_hint'} = $this->{$nextField . '_hint'};
                        $this->{$field . '_list_id'} = $this->{$nextField . '_list_id'};
                        $this->{$nextField . '_name'} = array();
                        $this->{'is_' . $nextField . '_enabled'} = true;
                        $this->{'is_' . $nextField . '_published'} = false;
                        $this->{$nextField . '_mandatory'} = false;
                        $this->{$nextField . '_hint'} = array();
                        $this->{$nextField . '_list_id'} = 0;
                    }
                }
            }
        }
    }

    protected function beforeSave() {
        parent::beforeSave();
        $this->packFields();
        return true;
    }

    public function delete() {
        if (!$this->getIsNewRecord()) {
            parent::delete();
        }
    }

}

?>
