<?php

/**
 *  Copyright © 2016 Siberian Federal University
 * 
 *  This file is part of YConfs.
 *  
 *  YConfs is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License,
 *  for details see http://yconfs.sfu-kras.ru/license. 
 */
class MailingForm extends CFormModel {

    const RECIPIENTS_ALL_AUTHORS = 1;
    const RECIPIENTS_APPROVED_AUTHORS = 2;

    public $recipients = MailingForm::RECIPIENTS_ALL_AUTHORS;
    public $subject;
    public $message;
    public $me;
    public $emailFrom = '';

    public function getNameFrom($conf) {
        $confLink = Yii::app()->createAbsoluteUrl('conf/view', array('urn' => $conf->urn()));
        $params = array();
        $params['{confLink}'] = $confLink;
        $params['{confTitle}'] = $conf->title();
        return Yii::t('admin', 'Organizing committee of the conference <a href="{confLink}">"{confTitle}"</a>.', $params);
    }

    public function setDefaults($conf) {
        $this->subject = Yii::t('site', Yii::app()->name) . '. ';
        $this->message = '<br><br><br>' . $this->getNameFrom($conf);
    }

    public function rules() {
        return array(
            array('recipients, subject, message', 'required'),
            array('me', 'safe')
        );
    }

    public function attributeLabels() {
        return array(
            'recipients' => Yii::t('admin', 'Recipients'),
            'subject' => Yii::t('admin', 'Subject'),
            'message' => Yii::t('admin', 'Message'),
            'me' => Yii::t('admin', 'Send the letter to me'),
            'emailFrom' => Yii::t('admin', 'From'),
        );
    }

    public function countAllRecipients($conf) {
        $count = Author::model()->countAllByConf($conf);
        return $count;
    }

    public function countApprovedRecipients($conf) {
        $count = Author::model()->countApprovedByConf($conf);
        return $count;
    }

}

?>
