<?php

/**
 *  Copyright © 2016 Siberian Federal University
 * 
 *  This file is part of YConfs.
 *  
 *  YConfs is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License,
 *  for details see http://yconfs.sfu-kras.ru/license. 
 */
class RequiredFileValidator extends CValidator {

    public $required = AppFormSettings::MANDATORY_NOT;
    public $required_languages = array('ru' => 'Русский');

    protected function validateAttribute($object, $attribute) {
        if ($this->required == AppFormSettings::MANDATORY_NOT) {
            return;
        }
        $behaviors = $object->behaviors();
        $files = NULL;
        if (isset($behaviors['FilesBehavior'])) {
            $files = $object->getFiles($attribute);
        } else {
            $files = $object->$attribute;
        }
        $labels = $object->attributeLabels();
        $label = $labels[$attribute];
        $valid = true;
        $languages_count = count(array_keys($this->required_languages));
        //  $file — object of type MultilingualFile
        if (!is_array($files)) {
            $file = $files;
            $count = 0;
            if ($file != NULL) {
                $file->prepareFiles();
                foreach ($this->required_languages as $language => $name) {
                    if (!$file->isEmpty($language)) {
                        $count++;
                    }
                };
            };
            if (($this->required == AppFormSettings::MANDATORY_ONE) && ($count == 0)) {
                $valid = false;
            };
            if (($this->required == AppFormSettings::MANDATORY_ALL) && ($count < $languages_count)) {
                $valid = false;
            };
            if (!$valid && ($languages_count <= 1)) {
                $this->addError($object, $attribute, Yii::t('validators', 'It is required to upload {label}.', array('{label}' => $label)));
            };
            if (!$valid && ($languages_count > 1) && ($this->required == AppFormSettings::MANDATORY_ONE)) {
                $this->addError($object, $attribute, Yii::t('validators', 'It is required to upload {label}.', array('{label}' => $label)));
            };
            if (!$valid && ($languages_count > 1) && ($this->required == AppFormSettings::MANDATORY_ALL)) {
                $this->addError($object, $attribute, Yii::t('validators', 'It is required to upload the files in the {label} in all languages.', array('{label}' => $label)));
            };
        } else {
            $files_count = 0;
            foreach ($files as $file) {
                if ($file != NULL) {
                    $count = 0;
                    $file->prepareFiles();
                    foreach ($this->required_languages as $language => $name) {
                        if (!$file->isEmpty($language)) {
                            $count++;
                        }
                    };
                    if ($count > 0) {
                        $files_count++;
                    }
                    if (($this->required == AppFormSettings::MANDATORY_ALL) && ($count > 0) && ($count < $languages_count)) {
                        $valid = false;
                    };
                }
            }
            if ($files_count == 0) {
                $this->addError($object, $attribute, Yii::t('validators', 'It is required to upload {label}.', array('{label}' => $label)));
            }
            if (!$valid) {
                $this->addError($object, $attribute, Yii::t('validators', 'It is required to upload the files in the {label} in all languages.', array('{label}' => $label)));
            }
        }
    }

}
