<?php
/**
 *  @var $this ConfController
 *  @var $conf Conf
 *  @var $appForm AppFormSettings
 */
?>
<?php include 'header.inc';?>
<?php
$this->breadcrumbs=array(
        StringUtils::cutOnWord($conf->title())=>array('conf/info','urn'=>$conf->urn()),
        Yii::t('admin','Administration')=>array('admin/settings','urn'=>$conf->urn()),
        Yii::t('admin','Application Form')
);
?>
<?php
$mandatoryOptions=array();
$mandatoryOptions[0]=Yii::t('participants','no');
$mandatoryOptions[1]=Yii::t('participants','All Languages');
$mandatoryOptions[2]=Yii::t('participants','One Language');

$author_attributes=array( 'lastname','firstname','middlename','email','image','org','org_address','position','academic_degree',
        'academic_title','supervisor','country','city','address','phone','fax',
        'membership');

$report_attributes=array('report_topic','report_title','classification',
        'annotation','report_text','report_file',
        'more_info','accommodation');
?>
<h2><?php echo Yii::t('admin','Application Form');?></h2>
<div class="form confadmin-form" >
    <?php $form=$this->beginWidget('ActiveForm',array('action'=>$this->createUrl('admin/form',array('urn'=>$conf->urn())))); ?>
     <?php if(Yii::app()->user->hasFlash('success')){?>
    <div class="success"><?php echo Yii::app()->user->getFlash('success'); ?></div>
    <?php };?>
    <?php if(Yii::app()->user->hasFlash('EmptyFieldName')){?>
    <div class="errorSummary"><?php echo Yii::app()->user->getFlash('EmptyFieldName'); ?></div>
    <?php };?>
    <?php echo $form->errorSummary($appForm); ?>

    <h3><?php echo Yii::t('admin','Fields in the application form');?></h3>
    <table class="table">

        <tr>
            <th class="center"  ><?php echo Yii::t('participants','Field');?><br/><?php echo Yii::t('admin','field type');?></th>
            <th class="center" ><?php echo Yii::t('participants','Ena&shy;bled');?></th>
            <th class="center" ><?php echo Yii::t('participants','Pub&shy;lished');?></th>
            <th class="center" ><?php echo Yii::t('participants','Mandatory');?></th>
            <th class="center" ><?php echo Yii::t('participants','Hint');?></th>
        </tr>
      
        <?php foreach($report_attributes as $attribute) {?>
        <tr class="ordered" >
            <td >
                <?php $form->label($appForm,$attribute)?>
                <?php echo $appForm->getAttributeLabel($attribute);?>
                <br /><span class="hint"  ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
                <?php if($attribute == 'report_file') {?>
                <span class="hint"><?php echo Yii::t('confs','Do not make this field mandatory if you want to allow uploading of files after registration.')?></span>
                <?php };?>
            </td>
            <td class="center" >
                <?php if(in_array($attribute,array('report_title','report_topic'))){?>
                    <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled',array('disabled'=>'disabled'));?>
                    <?php echo $form->hiddenField($appForm,'is_'.$attribute.'_enabled');?>
                <?php }else{ ?>
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
                <?php }?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
                    <?php if($conf->isInOneLanguage()
                            || in_array($attribute,array('phone','fax','email'))
                            || ($appForm->{$attribute.'_type'}==FieldType::CHECKBOX)
                            || ($appForm->{$attribute.'_type'}==FieldType::SELECT)
                            ) { 
                    ?>
                        <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                        <?php } else {?>
                        <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                        <?php }?>
            </td>
            <td class="top">
                    <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>35,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
            <?php };?>

        <!-- строковые дополнительные поля -->
        <!-- additional string fields -->
        <?php
          $newStringField_i=0;
          $count=$appForm->p_field_count(FieldType::STRING);
          if($count<5){$newStringField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="ps_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center" >      
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >              
               <?php if($conf->isInOneLanguage() ) {?>
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
               <?php } else {?>
                 <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
               <?php }?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец строковые дополнительные поля -->
        <!-- end of additional string fields -->
        <!-- текстовые дополнительные поля -->
        <!-- additional text fields -->
        <?php
          $newTextField_i=0;
          $count=$appForm->p_field_count(FieldType::TEXT);
          if($count<5){$newTextField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="pt_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >             
                <?php if($conf->isInOneLanguage()) {?>
                    <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                <?php } else {?>
                    <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                <?php }?>              
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец текстовые дополнительные поля -->
        <!-- end of additional text fields -->
        <!-- дополнительные поля-флажки -->
        <!-- additional checkbox fields -->
        <?php
          $newChbxField_i=0;
          $count=$appForm->p_field_count(FieldType::CHECKBOX);
          if($count<5){$newChbxField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="pc_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
                 <?php echo $form->checkBox($appForm, $attribute.'_mandatory');?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец дополнительные поля-флажки -->
        <!-- end of additional checkbox fields -->
        <!-- дополнительные поля-списки -->
        <!-- additional list fields -->
        <?php
          $newListField_i=0;
          $count=$appForm->p_field_count(FieldType::SELECT);
          if($count<5){$newListField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="pl_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
               <?php echo CHtml::submitButton(Yii::t('admin','Edit list'),array('name'=>$attribute, 'onclick'=>"return confirm('".Yii::t('admin','Save the form and switch to editing the list?')."');")); ?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top">
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец дополнительные поля-списки -->
        <!-- end of additional list fields -->
        <!-- new additional string field -->
        <?php
         if($newStringField_i>0) {
             $i=$newStringField_i;
             $attribute="ps_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
               <?php if($conf->isInOneLanguage() ) {?>
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
               <?php } else {?>
                 <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
               <?php }?>
            </td>
            <td class="top">
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- end of new additional string field -->
        <!-- new additional text field -->
        <?php
         if($newTextField_i>0) {
             $i=$newTextField_i;
             $attribute="pt_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
                <?php if($conf->isInOneLanguage()) {?>
                    <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                <?php } else {?>
                    <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                <?php }?>
            </td>
            <td class="top">
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое текстовое дополнительное поле -->
        <!-- end of new additional text field -->
        <!-- новое дополнительное поле-флажок -->
        <!-- new additional checkbox field -->
        <?php
          if($newChbxField_i>0) {
             $i=$newChbxField_i;
             $attribute="pc_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top">
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое дополнительное поле-флажок -->
        <!-- end of new additional checkbox field -->
        <!-- новое дополнительное поле-список -->
        <!-- new additional list field -->
        <?php
         if($newListField_i>0) {
             $i=$newListField_i;
             $attribute="pl_field{$i}";
         ?>
          <tr class="ordered">
            <td>
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
               <?php echo CHtml::submitButton(Yii::t('admin','Edit list'),array('name'=>$attribute, 'onclick'=>"return confirm('".Yii::t('admin','Save the form and switch to editing the list?')."');")); ?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center" >
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center" >
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top">
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое дополнительное поле-список -->
        <!-- end of new additional list field -->
    </table>
    <br />
    <h3><?php echo Yii::t('admin',"Author's Fields");?></h3>
    <table class="table">
        <tr>
            <th class="center" ><?php echo Yii::t('participants','Field');?><br /><?php echo Yii::t('admin','field type');?></th>
            <th class="center"><?php echo Yii::t('participants','Ena&shy;bled');?></th>
            <th class="center"><?php echo Yii::t('participants','Pub&shy;lished');?></th>
            <th class="center"><?php echo Yii::t('participants','Mandatory');?></th>
            <th class="center"><?php echo Yii::t('participants','Hint');?></th>
        </tr>
        <?php
         foreach($author_attributes as $attribute) {
             ?>
          <tr class="ordered">
            <td >
             <?php echo $appForm->getAttributeLabel($attribute);?><br />
             <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php if(in_array($attribute,array('report_title','report_topic'))){?>
                    <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled',array('disabled'=>'disabled'));?>
                    <?php echo $form->hiddenField($appForm,'is_'.$attribute.'_enabled');?>
                <?php }else{ ?>
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
                <?php }?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                 <?php if(!in_array($attribute,array('accommodation'))){?>
                    <?php if($conf->isInOneLanguage() || in_array($attribute,array('phone','fax','email','image')) ) {?>
                        <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                        <?php } else {?>
                        <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                        <?php }?>
                <?php }?>
            </td>
            <td class="top" >
                    <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
            <?php };?>
        <!-- строковые дополнительные поля -->
        <!-- additional string fields -->
        <?php
         $newStringField_i=0;
          $count=$appForm->a_field_count(FieldType::STRING);
          if($count<5){$newStringField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="as_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">              
                <?php if($conf->isInOneLanguage()) {?>
                   <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                <?php } else {?>
                   <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                <?php }?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец строковые дополнительные поля -->
        <!-- end of additional string field -->
        <!-- текстовые дополнительные поля -->
        <!-- additional text field -->
        <?php
         $newTextField_i=0;
          $count=$appForm->a_field_count(FieldType::TEXT);
          if($count<5){$newTextField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="at_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">                 
                <?php if($conf->isInOneLanguage()) {?>
                   <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                <?php } else {?>
                   <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                <?php }?>                
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец текстовые дополнительные поля -->
        <!-- end of additional text field -->
        <!-- дополнительные поля-флажки -->
        <!-- additional checkbox fields -->
        <?php
          $newChbxField_i=0;
          $count=$appForm->a_field_count(FieldType::CHECKBOX);
          if($count<5){$newChbxField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="ac_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец дополнительные поля-флажки -->
        <!-- end of additional checkbox fields -->
        <!-- дополнительные поля-списки -->
        <!-- additional list fields -->
        <?php
         $newListField_i=0;
          $count=$appForm->a_field_count(FieldType::SELECT);
          if($count<5){$newListField_i=$count+1;};
         for($i=1; $i<=$count; $i++) {
             $attribute="al_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
               <?php echo CHtml::submitButton(Yii::t('admin','Edit list'),array('name'=>$attribute, 'onclick'=>"return confirm('".Yii::t('admin','Save the form and switch to editing the list?')."');")); ?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец дополнительные поля-списки -->
        <!-- end of additional list fields -->
        <!-- новое строковое дополнительное поле -->
        <!-- new additional string field -->
        <?php
         if($newStringField_i>0) {
              $i=$newStringField_i;
             $attribute="as_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                <?php if($conf->isInOneLanguage()) {?>
                   <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                <?php } else {?>
                   <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                <?php }?>
            </td>
            <td class="top">
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое строковое дополнительное поле -->
        <!-- end of new additional string field -->
        <!-- новое текстовое дополнительное поле -->
        <!-- new additional text field -->
        <?php
        if($newTextField_i>0) {
             $i=$newTextField_i;
             $attribute="at_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                <?php if($conf->isInOneLanguage()) {?>
                   <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
                <?php } else {?>
                   <?php echo $form->dropDownList($appForm,$attribute."_mandatory",$mandatoryOptions); ?>
                <?php }?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое текстовое дополнительное поле -->
        <!-- end of new additional text field -->
        <!-- новое дополнительное поле-флажок -->
        <!-- new additional checkbox field -->
        <?php
         if($newChbxField_i>0) {
              $i=$newChbxField_i;
             $attribute="ac_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое дополнительное поле-флажок -->
        <!-- end of new additional checkbox field -->
        <!-- новое дополнительное поле-список -->
        <!-- new additional list field -->
        <?php
         if($newListField_i>0) {
             $i=$newListField_i;
             $attribute="al_field{$i}";
         ?>
          <tr class="ordered">
            <td >
               <?php echo $form->textFields($appForm,$attribute.'_name',array('size'=>30,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
               <span class="hint" ><?php echo FieldType::name($appForm->{$attribute.'_type'});?></span>
               <?php echo CHtml::submitButton(Yii::t('admin','Edit list'),array('name'=>$attribute, 'onclick'=>"return confirm('".Yii::t('admin','Save the form and switch to editing the list?')."');")); ?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_enabled');?>
            </td>
            <td class="center">
                <?php echo $form->checkBox($appForm,'is_'.$attribute.'_published');?>
            </td>
            <td class="center">
                 <?php echo $form->checkBox($appForm,$attribute.'_mandatory');?>
            </td>
            <td class="top" >
               <?php echo $form->textFields($appForm,$attribute.'_hint',array('size'=>30,'maxlength'=>200,'class'=>'hint-value','tableClass'=>'value'),'vertical',$conf->getLanguages()); ?>
            </td>
        </tr>
        <?php };?>
        <!-- конец новое дополнительное поле-список -->
        <!-- end of new additional list field -->
    </table>

    <div class="actions right">
          <?php echo CHtml::submitButton(Yii::t('actions','Save')); ?>
    </div>
    <?php $this->endWidget(); ?>
</div>