<?php
/**
 *  @var $this ConfController
 *  @var $conf Conf
 *  @var $conf_sections ConfSection
 *  @var $menu_items Array( (urn,title) )
 */
?>
<?php include 'header.inc';?>
<?php
$this->breadcrumbs=array(
        StringUtils::cutOnWord($conf->title())=>array('conf/info','urn'=>$conf->urn()),
        Yii::t('admin','Administration')=>array('admin/settings','urn'=>$conf->urn()),
        Yii::t('admin','Pages')
);
?>
<?php
    Yii::app()->clientScript->registerCoreScript('jquery');
    $jsParams=array();
    $jsParams['DeleteObjectMsg'] = Yii::t('admin','object is marked for deletion, you have to save changes');
    $jsParams['RevertMsg'] = Yii::t('actions','revert');
    $jsParams['SectionsCount'] = count($conf_sections);  
    Yii::app()->clientScript->registerScript('js.sections.params', 'var jsParams=' . CJSON::encode($jsParams).';', CClientScript::POS_HEAD); 
    Yii::app()->clientScript->registerScriptFile('/js/admin/sections.js?v=1', CClientScript::POS_HEAD);   
?>
<h2><?php echo Yii::t('admin','Pages');?></h2>
<div class="form confadmin-sections" >    
    <?php $form=$this->beginWidget('ActiveForm',array('action'=>$this->createUrl('admin/sections',array('urn'=>$conf->urn())))); ?>
    <?php if(Yii::app()->user->hasFlash('success')){?>
    <div class="success"><?php echo Yii::app()->user->getFlash('success'); ?></div>
    <?php };?>
    <p>
        <?php echo Yii::t('admin','Here you can create additional pages for the conference. After you create a page, it will appear in the menu of the conference. Go to this menu item to enter text on the page.');?>       
    </p>
    <p class="note"><?php echo Yii::t('validators', 'Fields with an asterisk {asterisk} are required.',
    array('{asterisk}'=>'<span class="required">*</span>'));?><br />
<?php echo Yii::t('validators', 'At least one field in a field group with an asterisk {asterisk} is required.',
    array('{asterisk}'=>'<span class="requiredOne">*</span>'));?></p>
    
    <?php echo $form->errorSummary($conf_sections); ?>
    <?php foreach($conf_sections as $i => $section) {
       $num=$i; if('EmptyId'==$section->id){$num='$num';}
     ?>
    <div class="ordered <?php if('EmptyId'==$section->id) {?>hidden<?php }?>" id="div<?php echo $section->id;?>"  >
        <div class="row" >
            <div class="label" ><?php echo $form->label($section,'title',array('requiredOne'=>true));?></div>
            <div class="value" ><?php echo $form->textFields($section,"[$num]title",array('size'=>60,'maxlength'=>100,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages());?></div>
        </div>

        <div class="row" >
            <div class="label" ><?php echo $form->label($section,'urn',array('required'=>true));?></div>
            <div class="value" ><?php echo $this->createAbsoluteUrl('conf/view',array('urn'=>$conf->urn())).'/';?>&nbsp;<?php echo $form->textField($section,"[$num]urn",array('class'=>'urn-value'));?></div>
        </div>

        <div class="row" >
            <div class="label" ><?php echo CHtml::activeLabel($section,'next_urn',false);?></div>
            <div class="value" >
                    <?php $data=array();
                    $data['']='['.Yii::t('admin','after all').']';
                    foreach ($menu_items as $item) {
                        if($section->urn != $item['urn']) {
                            $data[$item['urn']]=StringUtils::cutOnWord($item['title'],60);
                        }
                    }
                    ?>
                    <?php echo $form->dropDownList($section,"[$num]next_urn",$data); ?>
            </div>
        </div>       
            <?php echo $form->hiddenField($section,"[$num]id");?>
            <?php echo $form->hiddenField($section,"[$num]state",array('id'=>'state' . $section->id));?>
            <?php echo $form->hiddenField($section,"[$num]oldstate",array('id'=>'oldstate' . $section->id));?>
        <div class="actions right">
            <a href="javascript:void(0)" onclick="hideListObject(this);" ><?php echo Yii::t('actions','delete')?></a>
        </div>
    </div><?php }?>
    <div class="actions right">
        <a href="javascript:void(0)" onclick="createListObject();" class="link" ><?php echo Yii::t('actions','add')?></a>
        <?php 
            echo CHtml::submitButton(Yii::t('actions','Save'), array('onclick' => "this.disabled=true;this.form.submit();")); 
        ?>
    </div>
    <?php $this->endWidget(); ?>
</div>