<?php
/**
 *  @var $this   ConfController
 *  @var $conf   Conf
 *  $var $topic  ConfTopic
 *  @var $topics   array of ConfTopics
 *  @var $participant    Participant
 *  @var $authors    array of Author
 *  @var $settings   AppFormSettings
 *  @var $submitAction   save or create
 *  @var $captcha      Captcha
 */
?>
<?php include 'header.inc';?>
<?php
if($submitAction=='save'){
    $participantsLinkTitle=Yii::t('participants','Participants');
    if(Yii::app()->user->checkAccess("viewAllParticipants",array('conf_id'=>$conf->id))) {
       $participantsLinkTitle=Yii::t('participants','Participants');
    }
    if(Yii::app()->authManager->isOwner('Participant', $participant->id) 
                && !Yii::app()->authManager->isConfAdmin($conf->id) && !Yii::app()->authManager->isAdmin()){
        $this->breadcrumbs = array(StringUtils::cutOnWord($conf->title()) => array('conf/view','urn'=>$conf->urn()));
        $count = ParticipantView::model()->countByAttributes(array('user_id' => Yii::app()->user->id, 'conf_id' => $conf->id));
        if($count > 1){
            $this->breadcrumbs[Yii::t('confs','My applications')] = array('participant/myApplication','urn'=>$conf->urn());
        }; 
        $title = $participant->title();
        if(empty($title)){$title = Yii::t('participants','Untitled');};
        $this->breadcrumbs[StringUtils::cutOnWord($title,25)] = array('participant/view', 'urn'=>$conf->urn(),'participant_urn'=>$participant->urn());
        array_push($this->breadcrumbs, Yii::t('site','Editing'));
    } else {
        $this->breadcrumbs=array(
            StringUtils::cutOnWord($conf->title()) => array('conf/view','urn'=>$conf->urn()),
            $participantsLinkTitle=>array('participant/list','urn'=>$conf->urn()),
            StringUtils::cutOnWord($topic->title()) => array('participant/topicList', 'urn'=>$conf->urn(),'topic_urn'=>$topic->urn()),
            StringUtils::cutOnWord($participant->title())=>array('participant/view', 'urn'=>$conf->urn(),'participant_urn'=>$participant->urn()),
            Yii::t('site','Editing')
        );
    };
};
if($submitAction=='create'){
    $this->breadcrumbs=array(
        StringUtils::cutOnWord($conf->title()) => array('conf/view','urn'=>$conf->urn()),
        Yii::t('confs','Registration')
    );
};
?>
<?php
    Yii::app()->clientScript->registerCoreScript('jquery');
    $jsParams=array();
    $jsParams['Language'] = Yii::app()->language;
    $jsParams['AuthorsCount'] = count($authors);
    $jsParams['DefaultLanguage'] = $conf->defaultLanguage();
    $jsParams['Languages'] = array_keys($conf->getLanguages());
    $jsParams['NewAuthorMsg'] = Yii::t('participants','New Author',array(), NULL, $conf->defaultLanguage());
    $jsParams['RegisterAuthor'] = Yii::app()->user->isGuest;
    $jsParams['FindUserURL'] = $this->createUrl('user/find');
    $jsParams['AuthorizeUserURL'] = $this->createUrl('user/authorize');
    $jsParams['SendPasswordURL'] = $this->createUrl('user/sendpassword');
    $jsParams['DeleteFileLinkMsg'] = Yii::t('actions','delete');
    $jsParams['DeleteFileMsg'] = Yii::t('admin','file is marked for deletion, you have to save changes');          
    $jsParams['CheckPasswordMsg'] = Yii::t('participants','There is a check ...');          
    $jsParams['CorrectMsg'] = Yii::t('participants','Correct!');          
    $jsParams['NotCorrectMsg'] = Yii::t('participants','Not correct.'); 
    $jsParams['CsrfTokenName'] = Yii::app()->request->csrfTokenName;       
    $jsParams['CsrfToken'] = Yii::app()->request->csrfToken;   
    $jsParams['FilemanagerTitle'] = Yii::t('site','File manager');
    $jsParams['FilemanagerEnabled'] = true;
    $jsParams['FilemanagerAccessKey'] = RFilemanagerUtils::genAccessKey($conf, $participant);    
    Yii::app()->clientScript->registerScript('js.participant.applicaton.params', 'var jsParams=' . CJSON::encode($jsParams).';', CClientScript::POS_HEAD); 
    Yii::app()->clientScript->registerScriptFile('/js/common/deleteFile.js?v=1', CClientScript::POS_HEAD); 
    Yii::app()->clientScript->registerScriptFile('/js/participant/authors.js?v=4', CClientScript::POS_HEAD); 
    Yii::app()->clientScript->registerScriptFile('/js/tinymce_4.1.9/tinymce.min.js');
    Yii::app()->clientScript->registerScriptFile('/js/common/attachTinymce.js?v=5', CClientScript::POS_HEAD); 
?>
<?php 
    $title =  Yii::t('confs','Registration');
    if($submitAction=='save' ){
       $title= $participant->title() . ' - '.  Yii::t('site','Editing'); 
    };
?>
    <h2><?php echo $title; ?></h2>       
<div class="form participant-edit" >
    <?php $form = $this->beginWidget('ActiveForm', array('action' => $this->createUrl('participant/' . $submitAction, array('urn' => $conf->urn(), 'participant_urn' => $participant->urn())), 'htmlOptions' => array('enctype' => 'multipart/form-data', 'autocomplete' => 'off'))); ?>

    <?php if(Yii::app()->user->hasFlash('success')){?>
    <div class="successSummary">
        <?php echo Yii::app()->user->getFlash('success');?>
    </div>
    <?php }?>        
            
    <p class="note"><?php echo Yii::t('validators', 'Fields with an asterisk {asterisk} are required.', array('{asterisk}' => '<span class="required">*</span>'));
    ?><br />
        <?php echo Yii::t('validators', 'At least one field in a field group with an asterisk {asterisk} is required.', array('{asterisk}' => '<span class="requiredOne">*</span>'));
        ?></p>

    <?php
    $errorObjects = array($participant);
    $errorObjects = array_merge($errorObjects,$authors);
    $errorObjects = array_merge($errorObjects, array($captcha));
    $summary = $form->errorSummary($errorObjects);
    echo $summary;
    ?>
    <!-- temp_id -->
    <?php echo $form->hiddenField($participant, 'temp_id'); ?>
    <!-- форма участия -->
    <?php
    $data = $conf->participation_types_names(ParticipationType::TYPE_WO_PAPER);
    if (count($data) == 0) {
        echo CHtml::hiddenField('Participant[participation_type]', ParticipationType::AUDIENCE);
    } else {
        ?>
        <div class="row" >
                <?php echo $form->label($participant, 'participation_type',array('class'=>'left')); ?><br />
                <?php
                if (count(array_keys($data)) > 1) {
                    echo $form->dropDownList($participant, 'participation_type', $data);
                } else {
                    $key = key($data);
                    echo CHtml::hiddenField('Participant[participation_type]', $key);
                    echo $data[$key];
                };
                ?>
           
        </div>
    <?php }; ?>
    <!-- конец форма участия -->
    <!-- секция конференции -->
    <?php
    $data = array();
    foreach ($topics as $topic) {
        $topicTitle = StringUtils::cutOnWord($topic->title(), 90);
        if ($topic->id == 0) {
            $topicTitle = Yii::t('participants', 'Unknown');
        }
        $data[$topic->id] = $topicTitle;
    };

    $htmlOptions = array();
    if ($settings->report_topic_mandatory == AppFormSettings::MANDATORY_ALL) {
        $htmlOptions['required'] = true;
    }
    if ($settings->report_topic_mandatory == AppFormSettings::MANDATORY_ONE) {
        $htmlOptions['requiredOne'] = true;
    }
    if ($settings->is_report_topic_enabled) {

        if (count(array_keys($data)) == 1) {
            $key = key($data);
            echo CHtml::hiddenField('Participant[topic_id]', $key);
            //echo $data[$key];
        };

        $hint = $settings->report_topic_hint();
        ?>
        <?php if (count(array_keys($data)) > 1) { ?>
            <div class="row" >
                    <?php echo $form->label($participant, 'topic', $htmlOptions); ?><br />
                    <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                    <?php
                    $params = array(
                        'class' => 'Participant',
                        'id' => $participant->id,
                        'owner_attr' => 'user_id',
                        'participant_id' => $participant->id,
                        'user_id' => Yii::app()->user->id);
                    if ($submitAction == 'create' || Yii::app()->user->checkAccess("modifyParticipantTopic")) {
                        ?>
                        <?php echo $form->dropDownList($participant, 'topic_id', $data,array('class'=>'value')); ?>
                        <?php
                    } else {
                        echo CHtml::hiddenField('Participant[topic_id]', $participant->topic_id);
                        echo $data[$participant->topic_id];
                    };
                    ?>
               
            </div>
        <?php } ?>
    <?php } ?>
    <!-- конец секция конференции -->
    <!-- название заявки -->
    <?php echo $form->hiddenFields($participant, 'title', $conf->getLanguages()); ?>
    <!-- конец названия заявки -->
    <?php $captchaClass = "row"; ?>
    <!-- авторы -->
    <div class="row authors-row" >
        <?php echo CHtml::activeLabel($participant,'authors',array('class'=>'left'));?><br /><br />
        <!-- добавляем автор-шаблон для создания новых авторов -->
        <?php
        $author = new Author();
        $author->id = 'new';
        $author->locale = $conf->defaultLanguage();
        $author->appFormSettings = $settings;
        $authors['Template'] = $author;
        ?>
        <!-- конец автор-шаблон -->
        <!-- переключатели авторов -->
        <?php foreach ($authors as $i => $author) { ?>
            <div id="authorLinkDiv<?php echo $i ?>"  <?php
            if ($i === 'Template') {
                echo 'class="hidden-switch"';
            } else {
                echo 'class="shown-switch"';
            };
            ?> >
                <a id="authorName<?php echo $i ?>" href="javascript:void(0)" class="author-link"  onclick="selectAuthor(<?php echo $i ?>);" ><?php echo $author->authorName(); ?></a>
                &nbsp;
                <a id="deleteAuthor<?php echo $i ?>" href="javascript:void(0)" onclick="deleteAuthor(<?php echo $i ?>);" ><?php $baseUrl=''; if(Yii::app()->theme){$baseUrl = Yii::app()->theme->baseUrl; }; echo CHtml::image($baseUrl . '/images/delete.gif', Yii::t('actions', 'delete')); ?></a>
                &nbsp;
            </div> 
        <?php }; ?>
        &nbsp;
        <a href="javascript:void(0)"  onclick="createAuthor();"><?php echo Yii::t('actions', 'add'); ?></a>
        <!-- конец переключатели авторов -->
        <!-- список авторов -->
        <?php foreach ($authors as $i => $author) { ?>
            <div id="authorDiv<?php echo $i; ?>" class="<?php if($i!==0){ echo 'author-hidden';}else {echo 'author-shown';}; ?>" >
                <!-- идентификатор автора -->
                <?php echo $form->hiddenField($author, "[$i]id"); ?>
                <!-- конец идентификатор автора -->
                <!-- email автора -->
                <?php
                $htmlOptions = array();
                if ($settings->email_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->email_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_email_enabled) {
                    $hint = $settings->email_hint();
                    ?>
                    <div class="row">
                        <div class="label" id="author_email_label_<?php echo $i;?>_id" name="author_email_label_<?php echo $i;?>">
                            <?php echo $form->label($author, 'email', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textField($author, "[$i]email", array('maxlength' => 200, 'class' => 'value','id'=>"author_{$i}_email")); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец email автора -->
                <!-- пароль для зарегистированного автора -->
                <?php
                   $class = "hidden-row";                 
                  //Для вернувшейся формы показываем для первого автора, если пользователь с таким email существует
                   $email = $author->email;
                   if( ($i===0) && (!empty($email)) && (Yii::app()->user->isGuest)){
                      $user = User::model()->findByEmail($email);
                      if ($user) {  
                         $class = "row";
                         $captchaClass="hidden-row";
                      };
                   };    
                ?>
                <div id="div_<?php echo $i;?>_existed_author_password_id" name="div_<?php echo $i;?>_new_author_password" class="<?php echo $class;?>">
                        <div class="label">
                            <?php echo $form->label($author, 'password',array('required'=>true)); ?>
                        </div>
                        <div class="value">
                            <span class="warning"><?php echo Yii::t('participants','You are already registered on the website. Fill in password, please.');?></span><br />
                            <?php echo $form->passwordField($author,"[$i]password", array('size'=>30,'maxlength'=>50,'class'=>'short-value')); ?>
                            &nbsp;<input type="button" value="<?php echo Yii::t('actions','Check');?>" id="<?php echo $i;?>_authorize_user_id" name="<?php echo $i;?>_authorize_user" onclick="authorizeUser(this);"></input> 
                            &nbsp;<span id="<?php echo $i;?>_authorize_result_id" name="<?php echo $i;?>_authorize_result" class="warning"></span>
                            <br />
                            <?php echo Yii::t('participants','Forgot your password?');?>&nbsp;<input type="button" value="<?php echo Yii::t('participants','Send new password');?>" id="<?php echo $i;?>_send_password_id" name="<?php echo $i;?>_send_password" onclick="sendPassword(this);"></input>
                            <br />
                            <span id="send_password_msg_<?php echo $i;?>_id" name="send_password_msg_<?php echo $i;?>" class="hint warning hidden"><?php echo Yii::t('participants','A new password has been sent to your E-mail.');?></span>
                        </div>
                </div>
                <!-- конец пароль для зарегистированного автора-->
                <!-- фамилия автора -->
                <?php
                $htmlOptions = array();
                if ($settings->lastname_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->lastname_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_lastname_enabled) {
                    $hint = $settings->lastname_hint();
                    ?>
                    <div class="row" >
                        <div class="label">
                            <?php echo $form->label($author, "lastname", $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value" >
                            <?php echo $form->textFields($author, "[$i]lastname", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец фамилия автора -->
                <!-- имя автора -->
                <?php
                $htmlOptions = array();
                if ($settings->firstname_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->firstname_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_firstname_enabled) {
                    $hint = $settings->firstname_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'firstname', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]firstname", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец имя автора -->
                <!-- отчество автора-->
                <?php
                $htmlOptions = array();
                if ($settings->middlename_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->middlename_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_middlename_enabled) {
                    $hint = $settings->middlename_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'middlename', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]middlename", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец отчество автора-->              
                <!-- фото автора -->
                <?php
                $htmlOptions = array();
                if ($settings->image_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->image_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_image_enabled) {
                    $hint = $settings->image_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'image', $htmlOptions); ?>
                        </div>
                        <div class="value">
                            <span class="hint" ><?php echo Yii::t('validators', 'File formats allowed to upload'); ?>: <?php echo FileUtils::listStr(Yii::app()->params['logoExts']); ?></span>
                            <span class="hint" ><?php echo Yii::t('validators', 'Max file size allowed to upload'); ?>: <?php echo FileUtils::fileSizeStr(Yii::app()->params['userFileSize']); ?></span>  
                            <input type="hidden" name="MAX_FILE_SIZE" value="0" />
                            <?php echo $form->imgFields($author, "[$i]image"); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец фото автора -->
                <!-- организация автора-->
                <?php
                $htmlOptions = array();
                if ($settings->org_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->org_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_org_enabled) {
                    $hint = $settings->org_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'institution', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]institution", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец организация автора -->
                <!-- адрес организации автора -->
                <?php
                $htmlOptions = array();
                if ($settings->org_address_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->org_address_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_org_address_enabled) {
                    $hint = $settings->org_address_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'institution_address', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]institution_address", array('xsize' => 50, 'maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец адрес организации автора -->
                <!-- должность автора -->
                <?php
                $htmlOptions = array();
                if ($settings->position_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->position_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_position_enabled) {
                    $hint = $settings->position_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'position', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]position", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец должность автора -->
                <!-- ученая степень -->
                <?php
                $htmlOptions = array();
                if ($settings->academic_degree_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->academic_degree_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_academic_degree_enabled) {
                    $hint = $settings->academic_degree_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'academic_degree', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]academic_degree", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец ученая степень -->
                <!-- ученое звание -->
                <?php
                $htmlOptions = array();
                if ($settings->academic_title_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->academic_title_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_academic_title_enabled) {
                    $hint = $settings->academic_title_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'academic_title', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]academic_title", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец ученое звание -->
                <!-- научный руководитель -->
                <?php
                $htmlOptions = array();
                if ($settings->supervisor_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->supervisor_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_supervisor_enabled) {
                    $hint = $settings->supervisor_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'supervisor', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]supervisor", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец научный руководитель-->
                <!-- страна -->
                <?php
                $htmlOptions = array();
                if ($settings->country_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->country_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_country_enabled) {
                    $hint = $settings->country_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'country', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]country", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец страна -->
                <!-- город -->
                <?php
                $htmlOptions = array();
                if ($settings->city_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->city_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_city_enabled) {
                    $hint = $settings->city_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'city', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]city", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'value', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец город -->
                <!-- домашний адрес -->
                <?php
                $htmlOptions = array();
                if ($settings->address_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->address_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_address_enabled) {
                    $hint = $settings->address_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'home_address', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]home_address", array('maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец домашний адрес-->
                <!-- телефон -->
                <?php
                $htmlOptions = array();
                if ($settings->phone_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->phone_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_phone_enabled) {
                    $hint = $settings->phone_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'phone', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <table class="value"><tr><td>
                                        <?php echo $form->textField($author, "[$i]phone", array('xsize' => 50, 'maxlength' => 200, 'class' => 'value')); ?>
                                    </td></tr></table>            
                        </div>
                    </div>
                <?php } ?>
                <!-- конец телефон -->
                <!-- факс -->
                <?php
                $htmlOptions = array();
                if ($settings->fax_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->fax_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_fax_enabled) {
                    $hint = $settings->fax_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'fax', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <table class="field"><tr><td>
                                        <?php echo $form->textField($author, "[$i]fax", array('maxlength' => 200, 'class' => 'value')); ?>
                                    </td></tr></table>            
                        </div>
                    </div>
                <?php } ?>
                <!-- конец факс -->
                <!-- членство в организациях -->
                <?php
                $htmlOptions = array();
                if ($settings->membership_mandatory == AppFormSettings::MANDATORY_ALL) {
                    $htmlOptions['required'] = true;
                }
                if ($settings->membership_mandatory == AppFormSettings::MANDATORY_ONE) {
                    $htmlOptions['requiredOne'] = true;
                }
                if ($settings->is_membership_enabled) {
                    $hint = $settings->membership_hint();
                    ?>
                    <div class="row">
                        <div class="label">
                            <?php echo $form->label($author, 'membership', $htmlOptions); ?>
                            <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                        </div>
                        <div class="value">
                            <?php echo $form->textFields($author, "[$i]membership", array('maxlength' => 200, 'class' => 'value'), 'vertical', $conf->getLanguages()); ?>
                        </div>
                    </div>
                <?php } ?>
                <!-- конец членство в организациях -->
                <!-- Строковые дополнительные поля автора-->
                <?php
                $scount = $settings->a_field_count(FieldType::STRING);
                for ($j = 1; $j <= $scount; $j++) {
                    $attribute = "as_field{$j}";
                    ?>
                    <?php
                    $htmlOptions = array();
                    if ($settings->{$attribute . '_mandatory'} == AppFormSettings::MANDATORY_ALL) {
                        $htmlOptions['required'] = true;
                    }
                    if ($settings->{$attribute . '_mandatory'} == AppFormSettings::MANDATORY_ONE) {
                        $htmlOptions['requiredOne'] = true;
                    }
                    if ($settings->{'is_' . $attribute . '_enabled'}) {
                        $hint = $settings->value($attribute . '_hint');
                        ?>
                        <div class="row">
                            <div class="label">
                                <?php echo $form->label($author, $attribute . '_value', $htmlOptions); ?>
                                <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                            </div>
                            <div class="value">
                                <?php echo $form->textFields($author, "[$i]{$attribute}_value", array('xsize' => 50, 'maxlength' => 200, 'class' => 'value','tableClass'=>'value'), 'vertical', $conf->getLanguages()); ?>
                            </div>
                        </div>
                    <?php } ?>
                <?php }; ?>
                <!-- Конец Строковые дополнительные поля автора -->
                <!-- текстовые дополнительные поля автора-->
                <?php
                $scount = $settings->a_field_count(FieldType::TEXT);
                for ($j = 1; $j <= $scount; $j++) {
                    $attribute = "at_field{$j}";
                    ?>
                    <?php
                    $htmlOptions = array();
                    if ($settings->{$attribute . '_mandatory'} == AppFormSettings::MANDATORY_ALL) {
                        $htmlOptions['required'] = true;
                    }
                    if ($settings->{$attribute . '_mandatory'} == AppFormSettings::MANDATORY_ONE) {
                        $htmlOptions['requiredOne'] = true;
                    }
                    if ($settings->{'is_' . $attribute . '_enabled'}) {
                        $hint = $settings->value($attribute . '_hint');
                        ?>
                        <div class="row">
                            <div class="label">
                                <?php echo $form->label($author, $attribute . '_value', $htmlOptions); ?>
                                <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                            </div>
                            <div class="value">                  
                                <?php echo $form->textAreas($author, "[$i]{$attribute}_value", array('cols' => 57, 'rows' => 3, 'class' => 'mceNoEditor value','tableClass'=>'value','hintClass'=>'hint'), 'vertical', $conf->getLanguages()); ?>
                            </div>
                        </div>
                    <?php } ?>
                <?php }; ?>
                <!-- Конец текстовые дополнительные поля автора -->
                <!-- дополнительные поля-списки автора-->
                <?php
                $scount = $settings->a_field_count(FieldType::SELECT);
                for ($j = 1; $j <= $scount; $j++) {
                    $attribute = "al_field{$j}";
                    ?>
                    <?php
                    $htmlOptions = array();
                    if ($settings->{'is_' . $attribute . '_enabled'}) {
                        if ($settings->{$attribute . '_mandatory'} == AppFormSettings::MANDATORY_ALL) {
                            $htmlOptions['required'] = true;
                        }
                        $hint = $settings->value($attribute . '_hint');
                        $data = $settings->getSelectFieldList($attribute);
                        ?>
                        <div class="row">
                            <div class="label">
                                <?php echo $form->label($author, $attribute . '_value', $htmlOptions); ?>
                                <?php if (!empty($hint)) { ?><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                            </div>
                            <div class="value">
                                <?php echo $form->dropDownList($author, "[$i]{$attribute}_value", $data, array('class' => 'value')); ?>
                            </div>
                        </div>
                    <?php } ?>
                <?php }; ?>
                <!-- Конец дополнительные поля-списки автора -->
                <!-- предпочтительный язык -->
                <?php 
                   $langs=$conf->getLanguages();
                   $locales=Yii::app()->params['languages']; 
                   $_locales=array();
                   foreach($locales as $locale => $title){
                      if(isset($langs[$locale])){
                          $_locales[$locale]=$title;
                      }; 
                   };   
                   $locales=$_locales;
                   if(count($locales)>1){
                ?>
                <div class="row">
                    <div class="label">
                        <?php echo $form->label($author, 'locale'); ?><br/>
                        <span class="hint"><?php echo Yii::t('participants','Language for messages on status of the application');?></span>
                    </div>
                    <div class="value">
                        <?php echo $form->radioButtonList($author, "[$i]locale", $locales, array('separator' => '', 'labelOptions' => array('class' => 'radioLabel')));
                        ?>
                    </div>
                </div>
                <?php } else { 
                       $author->locale=current(array_keys($locales));
                       echo $form->hiddenField($author, "[$i]locale");
                   }; ?>
                <!-- конец предпочтительный язык -->
                <!-- дополнительные поля-флажки автора-->
                <?php
                $scount = $settings->a_field_count(FieldType::CHECKBOX);
                for ($j = 1; $j <= $scount; $j++) {
                    $attribute = "ac_field{$j}";
                    ?>
                    <?php
                    $htmlOptions = array();
                    if ($settings->{'is_' . $attribute . '_enabled'}) {
                        $hint = $settings->value($attribute . '_hint');
                        if ($settings->{$attribute . '_mandatory'} == AppFormSettings::MANDATORY_ALL) {
                            $htmlOptions['required'] = true;
                        }
                        ?>                       
                       <div class="row">
                            <div class="label">
                               <?php echo $form->label($author, "[$i]{$attribute}_value", $htmlOptions); ?>
                               <?php if (!empty($hint)) { ?><br /><span class="hint"><?php echo StringUtils::prepareHtml($hint); ?></span><?php }; ?>
                            </div>
                            <div class="value">
                               <?php echo $form->checkBox($author, "[$i]{$attribute}_value"); ?>
                            </div>
                        </div>
                    <?php } ?>
                <?php }; ?>
                <!-- Конец дополнительные поля-флажки автора -->
            </div> 
        <?php }; //foreach $authors  ?>
        <!-- конец список авторов -->
        <br class="br-clear"/>
    </div>    
    <!-- конец авторы -->
    <!-- поле дополнительная информация -->
    <?php
      $htmlOptions=array('class'=>'left');
      if($settings->more_info_mandatory==AppFormSettings::MANDATORY_ALL){
         $htmlOptions['required']=true;
      }
      if($settings->more_info_mandatory==AppFormSettings::MANDATORY_ONE){
         $htmlOptions['requiredOne']=true;
      }
      if($settings->is_more_info_enabled){
         $hint=$settings->more_info_hint();
    ?>
    <div class="row" >
        <?php echo $form->label($participant,'information',$htmlOptions);?>
        <?php if(!empty($hint)){ ?><span class="hint"><?php echo StringUtils::prepareHtml($hint);?></span><?php };?>
        <?php echo $form->textAreas($participant,'information',array('cols'=>97,'rows'=>2,'class'=>'editor value','tableClass'=>'value','hintClass'=>'editor-hint'),'vertical',$conf->getLanguages() );?>
    </div>
    <?php } ?>
     <!-- конец поле дополнительная информация -->
    <!-- Строковые дополнительные поля -->
    <?php
        $count=$settings->p_field_count(FieldType::STRING);
        for($i=1; $i<=$count; $i++) {
             $attribute="ps_field{$i}";
    ?>
    <?php
      $htmlOptions=array('class'=>'left');
      if($settings->{$attribute.'_mandatory'}==AppFormSettings::MANDATORY_ALL){
         $htmlOptions['required']=true;
      }
      if($settings->{$attribute.'_mandatory'}==AppFormSettings::MANDATORY_ONE){
         $htmlOptions['requiredOne']=true;
      }
      if($settings->{'is_'. $attribute .'_enabled'}){
         $hint=$settings->value($attribute .'_hint');
    ?>
    <div class="row" >
        <?php echo $form->label($participant,$attribute.'_value',$htmlOptions);?><br />
        <?php if(!empty($hint)){ ?><span class="hint"><?php echo StringUtils::prepareHtml($hint);?></span><?php };?>
         <?php echo $form->textFields($participant,$attribute.'_value',array('size'=>60,'maxlength'=>200,'class'=>'value','tableClass'=>'value'),'vertical',$conf->getLanguages());?>
    </div>
    <?php }; ?>
    <?php };?>
  <!-- Конец Строковые дополнительные поля -->
   <!-- текстовые дополнительные поля -->
    <?php
        $count=$settings->p_field_count(FieldType::TEXT);
        for($i=1; $i<=$count; $i++) {
             $attribute="pt_field{$i}";
    ?>
    <?php
      $htmlOptions=array('class'=>'left');
      if($settings->{$attribute.'_mandatory'}==AppFormSettings::MANDATORY_ALL){
         $htmlOptions['required']=true;
      }
      if($settings->{$attribute.'_mandatory'}==AppFormSettings::MANDATORY_ONE){
         $htmlOptions['requiredOne']=true;
      }
      if($settings->{'is_'. $attribute .'_enabled'}){
         $hint=$settings->value($attribute .'_hint');
    ?>
    <div class="row" >
        <?php echo $form->label($participant,$attribute.'_value',$htmlOptions);?><br />
        <?php if(!empty($hint)){ ?><span class="hint"><?php echo StringUtils::prepareHtml($hint);?></span><?php };?>
         <?php echo $form->textAreas($participant,$attribute.'_value',array('cols'=>97,'rows'=>3,'class'=>'editor value','tableClass'=>'value','hintClass'=>'editor-hint'),'vertical',$conf->getLanguages());?>
    </div>
    <?php }; ?>
    <?php };?>
  <!-- Конец текстовые дополнительные поля -->
  <!-- дополнительные поля-списки -->
    <?php
        $count=$settings->p_field_count(FieldType::SELECT);
        for($i=1; $i<=$count; $i++) {
             $attribute="pl_field{$i}";
    ?>
    <?php
      $htmlOptions=array('class'=>'left');
      if($settings->{'is_'. $attribute .'_enabled'}){
         $hint=$settings->value($attribute .'_hint');
         $data=$settings->getSelectFieldList($attribute);
         if($settings->{$attribute.'_mandatory'}==AppFormSettings::MANDATORY_ALL){
            $htmlOptions['required']=true;
         }
    ?>
    <div class="row" >
        <?php echo $form->label($participant,$attribute.'_value',$htmlOptions);?><br />
        <?php if(!empty($hint)){ ?><span class="hint"><?php echo StringUtils::prepareHtml($hint);?></span><?php };?>
         <?php echo $form->dropDownList($participant,"{$attribute}_value",$data,array('class'=>'value')); ?>
    </div>
    <?php }; ?>
    <?php };?>
  <!-- Конец дополнительные поля-списки -->
  <!-- дополнительные поля-флажки -->
    <?php
        $count=$settings->p_field_count(FieldType::CHECKBOX);
        for($i=1; $i<=$count; $i++) {
             $attribute="pc_field{$i}";

    ?>
    <?php
      $htmlOptions=array('class'=>'left');
      if($settings->{'is_'. $attribute .'_enabled'}){
          if($settings->{$attribute.'_mandatory'}==AppFormSettings::MANDATORY_ALL){
             $htmlOptions['required']=true;
          }
         $hint=$settings->value($attribute .'_hint');        
    ?>
    <div class="row" >
        <?php echo $form->checkBox($participant,$attribute.'_value');?>
        <?php echo $form->label($participant,$attribute.'_value',$htmlOptions);?>
        <?php if(!empty($hint)){ ?><br /><span class="hint"><?php echo StringUtils::prepareHtml($hint);?></span><?php };?>
    </div>
    <?php }; ?>
    <?php };?>
    <!-- Конец дополнительные поля-флажки -->
    <!-- поле размещение -->
     <?php
      if($settings->is_accommodation_enabled){
         $hint=$settings->accommodation_hint();
    ?>
    <div class="row" >
        <?php echo $form->checkBox($participant,'is_accommodation_required');?>
        <?php echo $form->label($participant,'is_accommodation_required');?>
        <?php if(!empty($hint)){ ?><br /><span class="hint"><?php echo StringUtils::prepareHtml($hint);?></span><?php };?>
    </div>
    <?php }?>
    <!-- конец поле размещение-->
    <!-- капча -->
    <?php if(CCaptcha::checkRequirements() && Yii::app()->user->isGuest):?>
    <div id="captcha_id" class="<?php echo $captchaClass;?>">
    <?php echo $form->label($captcha, 'verifyCode',array('required'=>true));?><br />
    <?php echo CHtml::activeTextField($captcha, 'verifyCode')?><br />
    <?php $this->widget('CCaptcha',array('buttonOptions'=>array('class'=>'new-code-link'))); ?>
    </div>
    <?php endif?>
    <!-- конец капча -->
    
    <div class="actions right">
        <?php if ($submitAction == 'save') { ?>
            <?php echo CHtml::link(Yii::t('actions','cancel'),$this->createUrl('participant/view',array('urn'=>$conf->urn(),'participant_urn'=>$participant->urn())),array('class'=>'link'));?>
            <?php echo CHtml::submitButton(Yii::t('actions', 'Save')); ?>
        <?php } else { ?>
            <?php echo CHtml::submitButton(Yii::t('actions', 'Send')); ?>
        <?php } ?>
    </div>
    <?php $this->endWidget(); ?>
</div>