<?php
/**
 *  @var $this   ConfController
 *  @var $conf   Conf
 *  @var $topic    ConfTopics
 *  @var $topics     array of ConfTopic
 *  @var $participant    Participant
 *  @var $authors    array of Author
 *  @var $settings AppFormSettings
 *  @var $viewUnpublished
 */
?>
<?php include 'header.inc';?>
<?php
$this->breadcrumbs=array(
    StringUtils::cutOnWord($conf->title()) => array('conf/view','urn'=>$conf->urn()));
if(Yii::app()->authManager->isOwner('Participant', $participant->id) && !Yii::app()->authManager->isConfAdmin($conf->id) && !Yii::app()->authManager->isAdmin() ){
    $count = ParticipantView::model()->countByAttributes(array('user_id' => Yii::app()->user->id, 'conf_id' => $conf->id));
    if($count > 1){
        $this->breadcrumbs[Yii::t('confs','My applications')] = array('participant/myApplication','urn'=>$conf->urn());
    }; 
}else{
    $this->breadcrumbs[Yii::t('participants','Participants')] = array('participant/list','urn'=>$conf->urn());
    if(($conf->topicCount>0) && ($topic!=NULL)){
        $this->breadcrumbs[StringUtils::cutOnWord($topic->title())] = array('participant/topicList', 'urn'=>$conf->urn(),'topic_urn'=>$topic->urn());
    };
};
$title = $participant->title();
if(empty($title)){$title = Yii::t('participants','Untitled');};
array_push($this->breadcrumbs,StringUtils::cutOnWord($title));
?>
<?php 
    Yii::app()->clientScript->registerCoreScript('jquery'); 
    Yii::app()->clientScript->registerScriptFile('/js/mediaplayer-5.10/jwplayer.js');
    Yii::app()->clientScript->registerScriptFile('/js/participant/author-info.js');
?>
<!-- подключаем комментирование -->
<!-- commenting -->
<?php 
if($conf->is_commenting_enabled){ 
    $jsParams=array();
    $jsParams['CsrfTokenName'] = Yii::app()->request->csrfTokenName;       
    $jsParams['CsrfToken'] = Yii::app()->request->csrfToken;  
    Yii::app()->clientScript->registerScript('js.participant.view.params', 'var jsParams=' . CJSON::encode($jsParams).';', CClientScript::POS_HEAD);  
    Yii::app()->clientScript->registerCssFile('/css/comments.css'); 
    Yii::app()->clientScript->registerScriptFile('/js/common/jquery-comments.js?v=1'); 
?>
<script type="text/javascript">
    $(document).ready(function(){
         var comments=new Array();
         var sub_item_id;
         var id;
         var text;
         var editable;
         var author;
         var commentDate;
         <?php
         $user=Yii::app()->user;
         $comments=CommentsUtils::getAssocComments($user,$participant->id);
         foreach($comments as $comment){
         ?>
         id=<?php echo $comment['id']; ?>;
         sub_item_id="<?php echo $comment['sub_item_id']?>";
         text="<?php echo CommentsUtils::textToJavaScriptString($comment['text']); ?>";
         author="<?php echo htmlspecialchars($comment['username']);?>";
         editable="<?php echo ($comment['editable']?'true':'false');?>";
         commentDate="<?php echo CommentsUtils::formatCommentDate($comment['date']); ?>"
         if(comments[sub_item_id]){
         }else{
             comments[sub_item_id]=new Array();
         }
         comments[sub_item_id][id]=new Array();
         comments[sub_item_id][id]['id']=id;
         comments[sub_item_id][id]['text']=text;
         comments[sub_item_id][id]['editable']=editable;
         comments[sub_item_id][id]['author']=author;
         comments[sub_item_id][id]['date']=commentDate;
         <?php };?>
         var item_id=<?php echo $participant->id; ?>;
         var url='comments';

         var commentedItems=new Array();
         <?php
           $uncommentedItems = CommentsUtils::getUncommentedSubItems($participant->id);
           foreach($uncommentedItems as $sub_item_id){
         ?>
            commentedItems['<?php echo $sub_item_id; ?>'] = false;
         <?php }?>
         <?php $admin = CommentsUtils::hasEnableDisableCommentsPriviledge($participant->id,$user); ?>
         $("#commentedDivId").commenter({'url':url, 'item_id':item_id,
                'comments':comments,'editable':<?php echo ($user->isGuest?'false':'true');?>,
            'locale':'<?php echo Yii::app()->language; ?>','commented_items':commentedItems, 'admin':<?php echo ($admin?'true':'false');?>});
 });
</script>
<?php }?>
<!--конец подключаем комментирование-->
<!-- end of commenting -->
<h2><?php 
   $title = $participant->title();
   if(empty($title)){$title = Yii::t('participants','Untitled');};
   echo $title;
   ?></h2> 
<div class="form participant-view" >    
    <?php if(Yii::app()->user->hasFlash('saved')){?>
    <div class="success">
        <?php echo Yii::app()->user->getFlash('saved');?>
    </div>
    <?php }?>
    <?php if(Yii::app()->user->hasFlash('created')){?>
    <div class="success">
        <?php echo Yii::app()->user->getFlash('created');?>   
    </div>
    <?php }?>
    <?php if(Yii::app()->user->hasFlash('userCreated')){?>
    <div class="success">
        <?php echo Yii::app()->user->getFlash('userCreated');?><br />     
        <?php echo Yii::t('participants','A password has been emailed to {email} for You to access the website further.', array('{email}' => Yii::app()->user->name)); ?>&nbsp;
        <a href="<?php echo $this->createUrl('site/logout');?>" class="link"><?php echo Yii::t('actions','Logout')?></a>
    </div>
    <?php }?>    
    <?php //    администратор, administrator
    if(Yii::app()->user->checkAccess('enableParticipant',array('conf_id'=>$conf->id))){?>
        <?php if(Yii::app()->user->hasFlash('success')){?>
        <div class="success"><?php echo Yii::app()->user->getFlash('success'); ?></div>
        <?php };?>
    <div class="row admin-row" >
        <?php $form=$this->beginWidget('ActiveForm',array('action'=>$this->createUrl('participant/enable',array('urn'=>$conf->urn(),'participant_urn'=>$participant->urn())),'htmlOptions'=>array('enctype'=>'multipart/form-data'))); ?>        
        <div class="row">
        <div class="label">
        <?php echo $form->label($participant,'status');?>
        </div>
        <div class="value">
        <?php echo $form->radioButtonList($participant,'status',array('2'=>Yii::t('participants','new'),'1'=>Yii::t('participants','approved'),'0'=>Yii::t('participants','discarded')),array('separator'=>'&nbsp;&nbsp;','labelOptions'=>array('class'=>'radioLabel')));?>
        </div>
        </div>
        <div class="row">
        <div class="label">
        <?php echo $form->label($participant,'status_reason');?>
        </div>
        <div class="value">
        <?php echo $form->textAreas($participant,'status_reason',array('cols'=>97,'rows'=>1,'class'=>'editor value'),'vertical',$conf->getLanguages() );?>
        </div>
        </div>
        <?php if($conf->topicCount>0){?>
        <div class="row">
        <div class="label">
        <?php echo $form->label($participant,'topic');?>
        </div>
        <div class="value">
        <?php
        $data=array();
        foreach($topics as $topic) {
            $data[$topic->id]=StringUtils::cutOnWord($topic->title(),70);
        };
        echo $form->dropDownList($participant,'topic_id',$data,array('class'=>'value')); ?>
        </div>
        </div>
        <?php };?>
        <div class="actions right">
            <?php echo CHtml::submitButton(Yii::t('actions','Save')); ?>
        </div>
<?php $this->endWidget(); ?>
        </div>
        <?php }else {?>
        <label><?php echo Yii::t('participants','Status');?></label>
        <?php switch($participant->status){
                case 0: echo Yii::t('participant-status','Discarded'); 
                    $reason = $participant->status_reason();
                    if(!empty($reason)){
                        echo '<label>' . Yii::t('participants', 'Reason for discarding') . '</label>';
                        echo  $participant->status_reason();
                    };
                    break;
                case 1: echo Yii::t('participant-status','Approved'); break;     
                case 2: echo Yii::t('participant-status','Under consideration'); break;                 
              };
        ?>
        <?php }?>
        
    <label><?php echo Yii::t('participants','Participation Type');?></label>
    <?php echo $participant->participationType();?>
    <?php 
        $code = '';
        if($viewUnpublished || $settings->is_classification_published ){
            $code = $settings->is_classification_enabled ? $participant->classification_code : '';
        };
    ?>  
    <?php if(!empty($code)){?>
    <label><?php echo Yii::t('participants','Classification Code');?></label>
    <?php echo $code;?>
    <?php } ?>
    
    <label><?php echo Yii::t('participants','Authors');?></label>
    <?php foreach ($authors as $author){
        $institution='';
        if($viewUnpublished || $settings->is_org_published){
            $institution=$settings->is_org_enabled?$author->institution():'';
        }
        $institutionAddress='';
        if($viewUnpublished || $settings->is_org_address_published){
            $institutionAddress=$settings->is_org_address_enabled?$author->institutionAddress():'';
        };
        $position='';
        if($viewUnpublished || $settings->is_position_published){
            $position=$settings->is_position_enabled?$author->position():'';
        };
        $academicDegree='';
        if($viewUnpublished || $settings->is_academic_degree_published){
            $academicDegree=$settings->is_academic_degree_enabled?$author->academicDegree():'';
        };
        $academicTitle='';
        if($viewUnpublished || $settings->is_academic_title_published){
            $academicTitle=$settings->is_academic_title_enabled?$author->academicTitle():'';
        };
        $supervisor='';
        if($viewUnpublished || $settings->is_supervisor_published){
            $supervisor=$settings->is_supervisor_enabled?$author->supervisor():'';
        };
        $country='';
        if($viewUnpublished || $settings->is_country_published){
            $country=$settings->is_country_enabled?$author->country():'';
        };
        $city='';
        if($viewUnpublished || $settings->is_city_published){
            $city=$settings->is_city_enabled?$author->city():'';
        };
        $homeAddress='';
        if($viewUnpublished || $settings->is_address_published ){
            $homeAddress=$settings->is_address_enabled?$author->homeAddress():'';
        };
        $phone='';
        if($viewUnpublished || $settings->is_phone_published){
            $phone=$settings->is_phone_enabled?$author->phone:'';
        };
        $fax='';
        if($viewUnpublished || $settings->is_fax_published){
            $fax=$settings->is_fax_enabled?$author->fax:'';
        };
        $email='';
        if($viewUnpublished || $settings->is_email_published){
            $email=$settings->is_email_enabled?$author->email:'';
        };
        $membership='';
        if($viewUnpublished || $settings->is_membership_published){
            $membership=$settings->is_membership_enabled?$author->membership():'';
        };
        $image=NULL;
        if($viewUnpublished || $settings->is_image_published){
            $image=$settings->is_image_enabled?$author->getFile('image'):NULL;
        };
        $hasInfo=!empty($institution) || !empty($institutionAddress) ||
            !empty($country) || !empty($city) || !empty($homeAddress) ||
            !empty($position) || !empty($academicDegree) || !empty($academicTitle) ||
            !empty($supervisor) ||
            !empty($phone) || !empty($fax) || !empty($email) || !empty($membership) || ($image!=NULL);
        //  строковые дополнительные поля автора
        //  additional string fields for author
        $scount=$settings->a_field_count(FieldType::STRING);
        for($j=1; $j<=$scount; $j++) {
           $attribute="as_field{$j}";
           $value='';
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
            $value=$settings->{'is_'. $attribute .'_enabled'}?$author->value("{$attribute}_value"):'';
           }
           $hasInfo=$hasInfo || !empty($value);
        }
        //  конец строковые дополнительные поля автора
        //  end of additional string fields for author
        //  текстовые дополнительные поля автора
        //  additional text fields for author
        $scount=$settings->a_field_count(FieldType::TEXT);
        for($j=1; $j<=$scount; $j++) {
           $attribute="at_field{$j}";
           $value='';
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
            $value=$settings->{'is_'. $attribute .'_enabled'}?$author->value("{$attribute}_value"):'';
           }
           $hasInfo=$hasInfo || !empty($value);
        }
        //  конец текстовые дополнительные поля автора
        //  end of additional text fields for author
        //  дополнительные поля-флажки автора
        //  additional checkbox fields for author
        $scount=$settings->a_field_count(FieldType::CHECKBOX);
        for($j=1; $j<=$scount; $j++) {
           $attribute="ac_field{$j}";
           $enabled=false;
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
             $enabled=$settings->{'is_'. $attribute .'_enabled'};
           };
           $hasInfo=$hasInfo || $enabled;
        }
        //  конец дополнительные поля-флажки автора
        //  end of additional checkbox fields for author
        //  дополнительные поля-списки автора
        //  additional list fields for author
        $scount=$settings->a_field_count(FieldType::SELECT);
        for($j=1; $j<=$scount; $j++) {
           $attribute="al_field{$j}";
           $enabled=false;
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
             $enabled=$settings->{'is_'. $attribute .'_enabled'};
           };
           $hasInfo=$hasInfo || $enabled;
        }
        //  конец дополнительные поля-списки автора
        //  end of additional list fields for authors 
    ?>
        <?php echo CHtml::encode($author->fullName());?>
        <?php if($hasInfo){ echo Chtml::link(Yii::t('participants','more'),'#',array('onclick'=>'showAuthorInfo('.$author->id.',this);return false;')) ?>
        <div id="author_info_<?php echo $author->id;?>" class="author-info" >
        <?php if($image!=NULL) { echo CHtml::image($image->thumbnail_url(),Yii::t('users','Image'),array('class'=>'img')).'<br />';};?>    
        <?php if(!empty($institution)){?><?php echo Yii::t('participants','Organization');?>: <?php echo StringUtils::prepareHtml($institution);?><br /><?php };?>
        <?php if(!empty($institutionAddress)){?><?php echo Yii::t('participants','Organization Address');?>: <?php echo $institutionAddress;?><br /><?php };?>
        <?php if(!empty($position)){?><?php echo Yii::t('participants','Position');?>: <?php echo $position;?><br /><?php };?>
        <?php if(!empty($academicDegree)){?><?php echo Yii::t('participants','Academic Degree');?>: <?php echo $academicDegree;?><br /><?php };?>
        <?php if(!empty($academicTitle)){?><?php echo Yii::t('participants','Academic Title');?>: <?php echo $academicTitle;?><br /><?php };?>
        <?php if(!empty($supervisor)){?><?php echo Yii::t('participants','Supervisor');?>: <?php echo $supervisor;?><br /><?php };?>
        <?php if(!empty($country)){?><?php echo Yii::t('participants','Country');?>: <?php echo $country;?><br /><?php };?>
        <?php if(!empty($city)){?><?php echo Yii::t('participants','City');?>: <?php echo $city;?><br /><?php };?>
        <?php if(!empty($homeAddress)){?><?php echo Yii::t('participants','Home Address');?>: <?php echo $homeAddress;?><br /><?php };?>
        <?php if(!empty($phone)){?><?php echo Yii::t('participants','Phone');?>: <?php echo $phone;?><br /><?php };?>
        <?php if(!empty($fax)){?><?php echo Yii::t('participants','Fax');?>: <?php echo $fax;?><br /><?php };?>
        <?php if(!empty($email)){?>E-mail: <?php echo StringUtils::hideEmail($email);?><br /><?php };?>
        <?php if(!empty($membership)){?><?php echo Yii::t('participants','Membership');?>: <?php echo StringUtils::prepareHtml($membership);?><br /><?php };?>
        <?php 
        //  строковые дополнительные поля автора
        //  additional string fields for author
        $scount=$settings->a_field_count(FieldType::STRING);
        for($j=1; $j<=$scount; $j++) {
           $attribute="as_field{$j}";
           $value='';
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
            $value=$settings->{'is_'. $attribute .'_enabled'}?$author->value("{$attribute}_value"):'';
           };
        ?>
        <?php if(!empty($value)){?><?php echo $settings->value($attribute .'_name');?>: <?php echo StringUtils::prepareHtml($value);?><br /><?php };?>
        <?php };
        //  конец строковые дополнительные поля автора
        //  end of additional string fields for author
        //  текстовые дополнительные поля автора
        //  additional text fields for author
        $scount=$settings->a_field_count(FieldType::TEXT);
        for($j=1; $j<=$scount; $j++) {
           $attribute="at_field{$j}";
           $value='';
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
            $value=$settings->{'is_'. $attribute .'_enabled'}?$author->value("{$attribute}_value"):'';
           };
        ?>
        <?php if(!empty($value)){?><?php echo $settings->value($attribute .'_name');?>: <?php echo StringUtils::prepareHtml($value);?><br /><?php };?>
        <?php };
        //  конец текстовые дополнительные поля автора
        //  end of additional text fields for author
        //  дополнительные поля-флажки автора
        //  additional checkbox fields for author
        $scount=$settings->a_field_count(FieldType::CHECKBOX);
        for($j=1; $j<=$scount; $j++) {
           $attribute="ac_field{$j}";
           $value='';
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
            $enabled=$settings->{'is_'. $attribute .'_enabled'};
            if($enabled){
                $value=$author->{$attribute .'_value'};
            };
           };
        ?>
        <?php if($enabled){?><?php echo $settings->value($attribute .'_name');?>: <?php echo ($value?Yii::t('site','Yes'):Yii::t('site','No'));?><br /><?php };?>
        <?php };
        //  конец дополнительные поля-флажки автора
        //  end of additional checkbox fields for author
        //  дополнительные поля-списки автора
        //  additional list fields for author
        $scount=$settings->a_field_count(FieldType::SELECT);
        for($j=1; $j<=$scount; $j++) {
           $attribute="al_field{$j}";
           $value='';
           if($viewUnpublished || $settings->{'is_'.$attribute.'_published'}){
            $enabled=$settings->{'is_'. $attribute .'_enabled'};
            if($enabled){
                $item_id=$author->{$attribute .'_value'};
                $data=$settings->getSelectFieldList($attribute);
                if(!empty($item_id)){
                   $value=$data[$item_id];
                };
            }
           }
        ?>
        <?php if(!empty($value)){?><?php echo $settings->value($attribute .'_name');?>: <?php echo StringUtils::prepareHtml($value);?><br /><?php };?>
        <?php };
        //  конец дополнительные поля-списки автора
        //  end of additional list fields for author
        ?>
        </div><br />
        <?php };?>
    <?php };?>
    
        
    <?php 
        $annotation = '';
        if($viewUnpublished || $settings->is_annotation_published){
            $annotation = $settings->is_annotation_enabled ? $participant->annotation() : '';
        };
    ?>
    <?php if (!empty($annotation)){?>
       <label><?php echo Yii::t('participants','Annotation');?></label>
       <?php echo $annotation; ?>
    <?php }?>
    <?php      
        $file=NULL;
        if($viewUnpublished || $settings->is_report_file_published){
           $file = $settings->is_report_file_enabled ? $participant->getFile('content_files',0) : NULL; 
        }
    ?>
    <?php if( ($file != NULL) && !$file->isEmpty()) {?>
        <div>
        <label><?php echo Yii::t('participants','Files');?></label>       
        <?php 
        for($i = 0; $i < FilesBehavior::MAX_ATTR_FILES_COUNT; $i++){
            $file = $participant->getFile('content_files', $i);
            if( ($file != NULL) && !$file->isEmpty()) { ?>
               <div class="ordered">
               <?php echo ActiveForm::ViewIndexedFile($participant, 'content_files', $i, $file->getNotEmptyLanguages()); ?>
               </div>    
            <?php } 
        };
        ?>   
        </div>
    <?php }?>

    <?php 
        $content='';
        if($viewUnpublished || $settings->is_report_text_published){
            $content=$settings->is_report_text_enabled ? $participant->content() : '';
        };
    ?>
    <?php if (!empty($content)){?>
       <label><?php echo Yii::t('participants','Text');?></label>
    <?php echo $content; ?>
    <?php }?>

    <?php 
        $info = '';
        if($viewUnpublished || $settings->is_more_info_published){
            $info = $settings->is_more_info_enabled ? $participant->information() : '';
        };
    ?>
    <?php if (!empty($info)){?>
       <label><?php echo Yii::t('participants','Additional Information');?></label>
    <?php echo $info; ?>
    <?php }?>
       
     <?php 
       //   строковые дополнительные поля
       //   additional string fields
       $scount=$settings->p_field_count(FieldType::STRING);
       for($j=1; $j<=$scount; $j++) {
           $attribute="ps_field{$j}"; ?>
    <?php 
       $value='';
       if($viewUnpublished || $settings->{'is_'. $attribute .'_published'}){
        $value=$settings->{'is_'. $attribute .'_enabled'}?$participant->value("{$attribute}_value"):'';
       };
     ?>
    <?php if (!empty($value)){?>
       <label><?php echo $settings->value($attribute .'_name');?></label>
           <?php echo StringUtils::prepareHtml($value); ?>
    <?php }?>
    <?php } 
        //  конец строковые дополнительные поля 
        //  end of additional string fields 
    ?>
    <?php 
        //  текстовые дополнительные поля
        //  additional text fields
       $scount=$settings->p_field_count(FieldType::TEXT);
       for($j=1; $j<=$scount; $j++) {
           $attribute="pt_field{$j}"; ?>
    <?php 
        $value='';
        if($viewUnpublished || $settings->{'is_'. $attribute .'_published'}){
            $value=$settings->{'is_'. $attribute .'_enabled'}?$participant->value("{$attribute}_value"):'';
        };
     ?>
    <?php if (!empty($value)){?>
       <label><?php echo $settings->value($attribute .'_name');?></label>
       <?php echo StringUtils::prepareHtml($value); ?>
    <?php }?>
    <?php } 
        //  конец текстовые дополнительные поля 
        //  end of additional text fields 
    ?>
    <?php 
        //  дополнительные поля-флажки
        //  additional checkbox fields
       $scount=$settings->p_field_count(FieldType::CHECKBOX);
       for($j=1; $j<=$scount; $j++) {
           $attribute="pc_field{$j}"; ?>
    <?php
           $value='';
           $enabled=false;
           if($viewUnpublished || $settings->{'is_'. $attribute .'_published'}){
            $enabled=$settings->{'is_'. $attribute .'_enabled'};
            if($enabled){
                $value=$participant->{$attribute .'_value'};
            }
           }
    ?>
    <?php if ($enabled){?>
       <label><?php echo $settings->value($attribute .'_name');?></label>
           <?php echo ($value?Yii::t('site','Yes'):Yii::t('site','No')); ?>
    <?php };?>
    <?php } 
        //  конец дополнительные поля-флажки 
        //  end of additional checkbox fields 
    ?>
    <?php 
        //  дополнительные поля-списки
        //  additional checkbox fields
       $scount=$settings->p_field_count(FieldType::SELECT);
       for($j=1; $j<=$scount; $j++) {
           $attribute="pl_field{$j}"; ?>
    <?php
           $value='';
           $enabled=false;
           if($viewUnpublished || $settings->{'is_'. $attribute .'_published'}){
            $enabled=$settings->{'is_'. $attribute .'_enabled'};
            if($enabled){
                $item_id=$participant->{$attribute .'_value'};
                $data=$settings->getSelectFieldList($attribute);
                if(!empty($item_id)){
                   $value=$data[$item_id];
                };
            }
           };
    ?>
    <?php if (!empty($value)){?>
       <label><?php echo $settings->value($attribute .'_name');?></label>
       <?php echo StringUtils::prepareHtml($value); ?>
    <?php };?>
    <?php } 
        //  конец дополнительные поля-списки 
        //  end of additional list fields
    ?>  
       
   
       
    <br /><br /><hr />
    <p class="note">
    <?php echo Yii::t('participants','Creation Date');?>: <?php echo Yii::app()->locale->dateFormatter->formatDateTime($participant->registration_date,'long','medium');?><br />
    <?php echo Yii::t('participants','Last Update Date');?>: <?php echo Yii::app()->locale->dateFormatter->formatDateTime($participant->last_update_date,'long','medium');?>
    </p>
    
    <?php if($conf->is_commenting_enabled){ ?>
    <div id="commentedDivId">
    &nbsp;
    </div>
    <?php }?>
</div>
